# DVB variants of MPEG-TS descriptors

## GstMpegtsAudioPreselectionDescriptor

Table 110: Audio Preselection Descriptor (ETSI EN 300 468 v1.16.1)

### Members

`preselection_id` (guint8) –

5-bit

`audio_rendering_indication` (guint8) –

3-bit field

`audio_description` (gboolean) –

visually impaired

`spoken_subtitles` (gboolean) –
No description available
`dialogue_enhancement` (gboolean) –
No description available
`interactivity_enabled` (gboolean) –
No description available
`language_code_present` (gboolean) –
No description available
`text_label_present` (gboolean) –
No description available
`multi_stream_info_present` (gboolean) –

indicates if this PID conveys a complete audio programme

`future_extension` (gboolean) –
No description available
`language_code` (gchar*) –

NULL terminated ISO 639 language code.

`message_id` (guint8) –
No description available

Since : 1.20

## GstMpegts.AudioPreselectionDescriptor

Table 110: Audio Preselection Descriptor (ETSI EN 300 468 v1.16.1)

### Members

`preselection_id` (Number) –

5-bit

`audio_rendering_indication` (Number) –

3-bit field

`audio_description` (Number) –

visually impaired

`spoken_subtitles` (Number) –
No description available
`dialogue_enhancement` (Number) –
No description available
`interactivity_enabled` (Number) –
No description available
`language_code_present` (Number) –
No description available
`text_label_present` (Number) –
No description available
`multi_stream_info_present` (Number) –

indicates if this PID conveys a complete audio programme

`future_extension` (Number) –
No description available
`language_code` (String) –

NULL terminated ISO 639 language code.

`message_id` (Number) –
No description available

Since : 1.20

## GstMpegts.AudioPreselectionDescriptor

Table 110: Audio Preselection Descriptor (ETSI EN 300 468 v1.16.1)

### Members

`preselection_id` (int) –

5-bit

`audio_rendering_indication` (int) –

3-bit field

`audio_description` (bool) –

visually impaired

`spoken_subtitles` (bool) –
No description available
`dialogue_enhancement` (bool) –
No description available
`interactivity_enabled` (bool) –
No description available
`language_code_present` (bool) –
No description available
`text_label_present` (bool) –
No description available
`multi_stream_info_present` (bool) –

indicates if this PID conveys a complete audio programme

`future_extension` (bool) –
No description available
`language_code` (str) –

NULL terminated ISO 639 language code.

`message_id` (int) –
No description available

Since : 1.20

## GstMpegtsCableDeliverySystemDescriptor

Cable Delivery System Descriptor (EN 300 468 v.1.13.1)

### Members

`frequency` (guint32) –

the frequency in Hz (Hertz)

`outer_fec` (GstMpegtsCableOuterFECScheme) –

the outer FEC scheme used

`modulation` (GstMpegtsModulationType) –

Modulation scheme used

`symbol_rate` (guint32) –

Symbol rate (in symbols per second)

`fec_inner` (GstMpegtsDVBCodeRate) –

inner FEC scheme used

## GstMpegts.CableDeliverySystemDescriptor

Cable Delivery System Descriptor (EN 300 468 v.1.13.1)

### Members

`frequency` (Number) –

the frequency in Hz (Hertz)

`outer_fec` (GstMpegts.CableOuterFECScheme) –

the outer FEC scheme used

`modulation` (GstMpegts.ModulationType) –

Modulation scheme used

`symbol_rate` (Number) –

Symbol rate (in symbols per second)

`fec_inner` (GstMpegts.DVBCodeRate) –

inner FEC scheme used

## GstMpegts.CableDeliverySystemDescriptor

Cable Delivery System Descriptor (EN 300 468 v.1.13.1)

### Members

`frequency` (int) –

the frequency in Hz (Hertz)

`outer_fec` (GstMpegts.CableOuterFECScheme) –

the outer FEC scheme used

`modulation` (GstMpegts.ModulationType) –

Modulation scheme used

`symbol_rate` (int) –

Symbol rate (in symbols per second)

`fec_inner` (GstMpegts.DVBCodeRate) –

inner FEC scheme used

### Methods

#### gst_mpegts_dvb_cable_delivery_system_descriptor_free

    gst_mpegts_dvb_cable_delivery_system_descriptor_free (GstMpegtsCableDeliverySystemDescriptor * source)

Parameters:

`source` –
No description available

#### GstMpegts.CableDeliverySystemDescriptor.prototype.free

    function GstMpegts.CableDeliverySystemDescriptor.prototype.free(): {
        // javascript wrapper for 'gst_mpegts_dvb_cable_delivery_system_descriptor_free'
    }

Parameters:

`source` (GstMpegts.CableDeliverySystemDescriptor) –
No description available

#### GstMpegts.CableDeliverySystemDescriptor.free

    def GstMpegts.CableDeliverySystemDescriptor.free (self):
        #python wrapper for 'gst_mpegts_dvb_cable_delivery_system_descriptor_free'

Parameters:

`source` (GstMpegts.CableDeliverySystemDescriptor) –
No description available

## GstMpegtsComponentDescriptor

### Members

`stream_content` (guint8) –
No description available
`component_type` (guint8) –
No description available
`component_tag` (guint8) –
No description available
`language_code` (gchar*) –
No description available
`text` (gchar*) –
No description available

## GstMpegts.ComponentDescriptor

### Members

`stream_content` (Number) –
No description available
`component_type` (Number) –
No description available
`component_tag` (Number) –
No description available
`language_code` (String) –
No description available
`text` (String) –
No description available

## GstMpegts.ComponentDescriptor

### Members

`stream_content` (int) –
No description available
`component_type` (int) –
No description available
`component_tag` (int) –
No description available
`language_code` (str) –
No description available
`text` (str) –
No description available

## GstMpegtsContent

### Members

`content_nibble_1` (GstMpegtsContentNibbleHi) –
No description available
`content_nibble_2` (guint8) –
No description available
`user_byte` (guint8) –
No description available

## GstMpegts.Content

### Members

`content_nibble_1` (GstMpegts.ContentNibbleHi) –
No description available
`content_nibble_2` (Number) –
No description available
`user_byte` (Number) –
No description available

## GstMpegts.Content

### Members

`content_nibble_1` (GstMpegts.ContentNibbleHi) –
No description available
`content_nibble_2` (int) –
No description available
`user_byte` (int) –
No description available

## GstMpegtsDVBLinkageDescriptor

### Members

`transport_stream_id` (guint16) –

the transport id

`original_network_id` (guint16) –

the original network id

`service_id` (guint16) –

the service id

`linkage_type` (GstMpegtsDVBLinkageType) –

the type which linkage_data has

`private_data_length` (guint8) –

the length for private_data_bytes

`private_data_bytes` (guint8*) –

additional data bytes

## GstMpegts.DVBLinkageDescriptor

### Members

`transport_stream_id` (Number) –

the transport id

`original_network_id` (Number) –

the original network id

`service_id` (Number) –

the service id

`linkage_type` (GstMpegts.DVBLinkageType) –

the type which linkage_data has

`private_data_length` (Number) –

the length for private_data_bytes

`private_data_bytes` (Number) –

additional data bytes

## GstMpegts.DVBLinkageDescriptor

### Members

`transport_stream_id` (int) –

the transport id

`original_network_id` (int) –

the original network id

`service_id` (int) –

the service id

`linkage_type` (GstMpegts.DVBLinkageType) –

the type which linkage_data has

`private_data_length` (int) –

the length for private_data_bytes

`private_data_bytes` (int) –

additional data bytes

### Methods

#### gst_mpegts_dvb_linkage_descriptor_free

    gst_mpegts_dvb_linkage_descriptor_free (GstMpegtsDVBLinkageDescriptor * source)

Parameters:

`source` –
No description available

#### GstMpegts.DVBLinkageDescriptor.prototype.free

    function GstMpegts.DVBLinkageDescriptor.prototype.free(): {
        // javascript wrapper for 'gst_mpegts_dvb_linkage_descriptor_free'
    }

Parameters:

`source` (GstMpegts.DVBLinkageDescriptor) –
No description available

#### GstMpegts.DVBLinkageDescriptor.free

    def GstMpegts.DVBLinkageDescriptor.free (self):
        #python wrapper for 'gst_mpegts_dvb_linkage_descriptor_free'

Parameters:

`source` (GstMpegts.DVBLinkageDescriptor) –
No description available

#### gst_mpegts_dvb_linkage_descriptor_get_event

    const GstMpegtsDVBLinkageEvent *
    gst_mpegts_dvb_linkage_descriptor_get_event (const GstMpegtsDVBLinkageDescriptor * desc)

Parameters:

`desc` –

the GstMpegtsDVBLinkageDescriptor

Returns –

The GstMpegtsDVBLinkageEvent or NULL if an error happened

#### GstMpegts.DVBLinkageDescriptor.prototype.get_event

    function GstMpegts.DVBLinkageDescriptor.prototype.get_event(): {
        // javascript wrapper for 'gst_mpegts_dvb_linkage_descriptor_get_event'
    }

Parameters:

`desc` (GstMpegts.DVBLinkageDescriptor) –

the GstMpegts.DVBLinkageDescriptor

Returns (GstMpegts.DVBLinkageEvent) –

The GstMpegts.DVBLinkageEvent or NULL if an error happened

#### GstMpegts.DVBLinkageDescriptor.get_event

    def GstMpegts.DVBLinkageDescriptor.get_event (self):
        #python wrapper for 'gst_mpegts_dvb_linkage_descriptor_get_event'

Parameters:

`desc` (GstMpegts.DVBLinkageDescriptor) –

the GstMpegts.DVBLinkageDescriptor

Returns (GstMpegts.DVBLinkageEvent) –

The GstMpegts.DVBLinkageEvent or NULL if an error happened

#### gst_mpegts_dvb_linkage_descriptor_get_extended_event

    const GPtrArray *
    gst_mpegts_dvb_linkage_descriptor_get_extended_event (const GstMpegtsDVBLinkageDescriptor * desc)

Parameters:

`desc` –

the GstMpegtsDVBLinkageDescriptor

Returns ( [element-typeGstMpegtsDVBLinkageExtendedEvent]) –

an GstMpegtsDVBLinkageExtendedEvent array or NULL if an error happened

#### GstMpegts.DVBLinkageDescriptor.prototype.get_extended_event

    function GstMpegts.DVBLinkageDescriptor.prototype.get_extended_event(): {
        // javascript wrapper for 'gst_mpegts_dvb_linkage_descriptor_get_extended_event'
    }

Parameters:

`desc` (GstMpegts.DVBLinkageDescriptor) –

the GstMpegts.DVBLinkageDescriptor

Returns ([ GstMpegts.DVBLinkageExtendedEvent ]) –

an GstMpegts.DVBLinkageExtendedEvent array or NULL if an error happened

#### GstMpegts.DVBLinkageDescriptor.get_extended_event

    def GstMpegts.DVBLinkageDescriptor.get_extended_event (self):
        #python wrapper for 'gst_mpegts_dvb_linkage_descriptor_get_extended_event'

Parameters:

`desc` (GstMpegts.DVBLinkageDescriptor) –

the GstMpegts.DVBLinkageDescriptor

Returns ([ GstMpegts.DVBLinkageExtendedEvent ]) –

an GstMpegts.DVBLinkageExtendedEvent array or NULL if an error happened

#### gst_mpegts_dvb_linkage_descriptor_get_mobile_hand_over

    const GstMpegtsDVBLinkageMobileHandOver *
    gst_mpegts_dvb_linkage_descriptor_get_mobile_hand_over (const GstMpegtsDVBLinkageDescriptor * desc)

Parameters:

`desc` –

the GstMpegtsDVBLinkageDescriptor

Returns –

The GstMpegtsDVBLinkageMobileHandOver or NULL if an error happened

#### GstMpegts.DVBLinkageDescriptor.prototype.get_mobile_hand_over

    function GstMpegts.DVBLinkageDescriptor.prototype.get_mobile_hand_over(): {
        // javascript wrapper for 'gst_mpegts_dvb_linkage_descriptor_get_mobile_hand_over'
    }

Parameters:

`desc` (GstMpegts.DVBLinkageDescriptor) –

the GstMpegts.DVBLinkageDescriptor

Returns (GstMpegts.DVBLinkageMobileHandOver) –

The GstMpegts.DVBLinkageMobileHandOver or NULL if an error happened

#### GstMpegts.DVBLinkageDescriptor.get_mobile_hand_over

    def GstMpegts.DVBLinkageDescriptor.get_mobile_hand_over (self):
        #python wrapper for 'gst_mpegts_dvb_linkage_descriptor_get_mobile_hand_over'

Parameters:

`desc` (GstMpegts.DVBLinkageDescriptor) –

the GstMpegts.DVBLinkageDescriptor

Returns (GstMpegts.DVBLinkageMobileHandOver) –

The GstMpegts.DVBLinkageMobileHandOver or NULL if an error happened

## GstMpegtsDVBLinkageEvent

### Members

`target_event_id` (guint16) –
No description available
`target_listed` (gboolean) –
No description available
`event_simulcast` (gboolean) –
No description available

## GstMpegts.DVBLinkageEvent

### Members

`target_event_id` (Number) –
No description available
`target_listed` (Number) –
No description available
`event_simulcast` (Number) –
No description available

## GstMpegts.DVBLinkageEvent

### Members

`target_event_id` (int) –
No description available
`target_listed` (bool) –
No description available
`event_simulcast` (bool) –
No description available

## GstMpegtsDVBLinkageExtendedEvent

### Members

`target_event_id` (guint16) –
No description available
`target_listed` (gboolean) –
No description available
`event_simulcast` (gboolean) –
No description available
`link_type` (guint8) –
No description available
`target_id_type` (guint8) –
No description available
`original_network_id_flag` (gboolean) –
No description available
`service_id_flag` (gboolean) –
No description available
`user_defined_id` (guint16) –
No description available
`target_transport_stream_id` (guint16) –
No description available
`target_original_network_id` (guint16) –
No description available
`target_service_id` (guint16) –
No description available

## GstMpegts.DVBLinkageExtendedEvent

### Members

`target_event_id` (Number) –
No description available
`target_listed` (Number) –
No description available
`event_simulcast` (Number) –
No description available
`link_type` (Number) –
No description available
`target_id_type` (Number) –
No description available
`original_network_id_flag` (Number) –
No description available
`service_id_flag` (Number) –
No description available
`user_defined_id` (Number) –
No description available
`target_transport_stream_id` (Number) –
No description available
`target_original_network_id` (Number) –
No description available
`target_service_id` (Number) –
No description available

## GstMpegts.DVBLinkageExtendedEvent

### Members

`target_event_id` (int) –
No description available
`target_listed` (bool) –
No description available
`event_simulcast` (bool) –
No description available
`link_type` (int) –
No description available
`target_id_type` (int) –
No description available
`original_network_id_flag` (bool) –
No description available
`service_id_flag` (bool) –
No description available
`user_defined_id` (int) –
No description available
`target_transport_stream_id` (int) –
No description available
`target_original_network_id` (int) –
No description available
`target_service_id` (int) –
No description available

## GstMpegtsDVBLinkageMobileHandOver

### Members

`hand_over_type` (GstMpegtsDVBLinkageHandOverType) –
No description available
`origin_type` (gboolean) –
No description available
`network_id` (guint16) –
No description available
`initial_service_id` (guint16) –
No description available

## GstMpegts.DVBLinkageMobileHandOver

### Members

`hand_over_type` (GstMpegts.DVBLinkageHandOverType) –
No description available
`origin_type` (Number) –
No description available
`network_id` (Number) –
No description available
`initial_service_id` (Number) –
No description available

## GstMpegts.DVBLinkageMobileHandOver

### Members

`hand_over_type` (GstMpegts.DVBLinkageHandOverType) –
No description available
`origin_type` (bool) –
No description available
`network_id` (int) –
No description available
`initial_service_id` (int) –
No description available

## GstMpegtsDVBParentalRatingItem

### Members

`country_code` (gchar*) –
No description available
`rating` (guint8) –
No description available

## GstMpegts.DVBParentalRatingItem

### Members

`country_code` (String) –
No description available
`rating` (Number) –
No description available

## GstMpegts.DVBParentalRatingItem

### Members

`country_code` (str) –
No description available
`rating` (int) –
No description available

## GstMpegtsDVBServiceListItem

### Members

`service_id` (guint16) –

the id of a service

`type` (GstMpegtsDVBServiceType) –

the type of a service

## GstMpegts.DVBServiceListItem

### Members

`service_id` (Number) –

the id of a service

`type` (GstMpegts.DVBServiceType) –

the type of a service

## GstMpegts.DVBServiceListItem

### Members

`service_id` (int) –

the id of a service

`type` (GstMpegts.DVBServiceType) –

the type of a service

## GstMpegtsDataBroadcastDescriptor

### Members

`data_broadcast_id` (guint16) –

the data broadcast id

`component_tag` (guint8) –

the component tag

`length` (guint8) –
No description available
`selector_bytes` (guint8*) –

the selector byte field

`language_code` (gchar*) –

language of text

`text` (gchar*) –

description of data broadcast

## GstMpegts.DataBroadcastDescriptor

### Members

`data_broadcast_id` (Number) –

the data broadcast id

`component_tag` (Number) –

the component tag

`length` (Number) –
No description available
`selector_bytes` (Number) –

the selector byte field

`language_code` (String) –

language of text

`text` (String) –

description of data broadcast

## GstMpegts.DataBroadcastDescriptor

### Members

`data_broadcast_id` (int) –

the data broadcast id

`component_tag` (int) –

the component tag

`length` (int) –
No description available
`selector_bytes` (int) –

the selector byte field

`language_code` (str) –

language of text

`text` (str) –

description of data broadcast

### Methods

#### gst_mpegts_dvb_data_broadcast_descriptor_free

    gst_mpegts_dvb_data_broadcast_descriptor_free (GstMpegtsDataBroadcastDescriptor * source)

Parameters:

`source` –
No description available

#### GstMpegts.DataBroadcastDescriptor.prototype.free

    function GstMpegts.DataBroadcastDescriptor.prototype.free(): {
        // javascript wrapper for 'gst_mpegts_dvb_data_broadcast_descriptor_free'
    }

Parameters:

`source` (GstMpegts.DataBroadcastDescriptor) –
No description available

#### GstMpegts.DataBroadcastDescriptor.free

    def GstMpegts.DataBroadcastDescriptor.free (self):
        #python wrapper for 'gst_mpegts_dvb_data_broadcast_descriptor_free'

Parameters:

`source` (GstMpegts.DataBroadcastDescriptor) –
No description available

## GstMpegtsDvbMultilingualBouquetNameItem

a multilingual bouquet name entry

### Members

`language_code` (gchar*) –

the ISO 639 language code

`bouquet_name` (gchar*) –

the bouquet name

## GstMpegts.DvbMultilingualBouquetNameItem

a multilingual bouquet name entry

### Members

`language_code` (String) –

the ISO 639 language code

`bouquet_name` (String) –

the bouquet name

## GstMpegts.DvbMultilingualBouquetNameItem

a multilingual bouquet name entry

### Members

`language_code` (str) –

the ISO 639 language code

`bouquet_name` (str) –

the bouquet name

## GstMpegtsDvbMultilingualComponentItem

### Members

`language_code` (gchar*) –

the ISO 639 language code

`description` (gchar*) –

the component description

## GstMpegts.DvbMultilingualComponentItem

### Members

`language_code` (String) –

the ISO 639 language code

`description` (String) –

the component description

## GstMpegts.DvbMultilingualComponentItem

### Members

`language_code` (str) –

the ISO 639 language code

`description` (str) –

the component description

## GstMpegtsDvbMultilingualNetworkNameItem

a multilingual network name entry

### Members

`language_code` (gchar*) –

the ISO 639 language code

`network_name` (gchar*) –

the network name

## GstMpegts.DvbMultilingualNetworkNameItem

a multilingual network name entry

### Members

`language_code` (String) –

the ISO 639 language code

`network_name` (String) –

the network name

## GstMpegts.DvbMultilingualNetworkNameItem

a multilingual network name entry

### Members

`language_code` (str) –

the ISO 639 language code

`network_name` (str) –

the network name

## GstMpegtsDvbMultilingualServiceNameItem

a multilingual service name entry

### Members

`language_code` (gchar*) –

the ISO 639 language code

`provider_name` (gchar*) –

the provider name

`service_name` (gchar*) –

the service name

## GstMpegts.DvbMultilingualServiceNameItem

a multilingual service name entry

### Members

`language_code` (String) –

the ISO 639 language code

`provider_name` (String) –

the provider name

`service_name` (String) –

the service name

## GstMpegts.DvbMultilingualServiceNameItem

a multilingual service name entry

### Members

`language_code` (str) –

the ISO 639 language code

`provider_name` (str) –

the provider name

`service_name` (str) –

the service name

## GstMpegtsExtendedEventDescriptor

Extended Event Descriptor (EN 300 468 v.1.13.1)

### Members

`descriptor_number` (guint8) –
No description available
`last_descriptor_number` (guint8) –
No description available
`language_code` (gchar*) –

NULL terminated language code.

`items` (GPtrArray *) –

the GstMpegtsExtendedEventItem

`text` (gchar*) –
No description available

## GstMpegts.ExtendedEventDescriptor

Extended Event Descriptor (EN 300 468 v.1.13.1)

### Members

`descriptor_number` (Number) –
No description available
`last_descriptor_number` (Number) –
No description available
`language_code` (String) –

NULL terminated language code.

`items` ([ GstMpegts.ExtendedEventItem ]) –

the GstMpegts.ExtendedEventItem

`text` (String) –
No description available

## GstMpegts.ExtendedEventDescriptor

Extended Event Descriptor (EN 300 468 v.1.13.1)

### Members

`descriptor_number` (int) –
No description available
`last_descriptor_number` (int) –
No description available
`language_code` (str) –

NULL terminated language code.

`items` ([ GstMpegts.ExtendedEventItem ]) –

the GstMpegts.ExtendedEventItem

`text` (str) –
No description available

### Methods

#### gst_mpegts_extended_event_descriptor_free

    gst_mpegts_extended_event_descriptor_free (GstMpegtsExtendedEventDescriptor * source)

Parameters:

`source` –
No description available

#### GstMpegts.ExtendedEventDescriptor.prototype.free

    function GstMpegts.ExtendedEventDescriptor.prototype.free(): {
        // javascript wrapper for 'gst_mpegts_extended_event_descriptor_free'
    }

Parameters:

`source` (GstMpegts.ExtendedEventDescriptor) –
No description available

#### GstMpegts.ExtendedEventDescriptor.free

    def GstMpegts.ExtendedEventDescriptor.free (self):
        #python wrapper for 'gst_mpegts_extended_event_descriptor_free'

Parameters:

`source` (GstMpegts.ExtendedEventDescriptor) –
No description available

## GstMpegtsExtendedEventItem

### Members

`item_description` (gchar*) –
No description available
`item` (gchar*) –
No description available

## GstMpegts.ExtendedEventItem

### Members

`item_description` (String) –
No description available
`item` (String) –
No description available

## GstMpegts.ExtendedEventItem

### Members

`item_description` (str) –
No description available
`item` (str) –
No description available

## GstMpegtsSatelliteDeliverySystemDescriptor

Satellite Delivery System Descriptor (EN 300 468 v.1.13.1)

### Members

`frequency` (guint32) –

the frequency in kHz (kiloHertz)

`orbital_position` (gfloat) –

the orbital position in degrees

`west_east` (gboolean) –

If TRUE, the satellite is in the eastern part of the orbit, else in the western part.

`polarization` (GstMpegtsSatellitePolarizationType) –

The polarization of the transmitted signal

`roll_off` (GstMpegtsSatelliteRolloff) –

Roll-off factor used in DVB-S2

`modulation_system` (gboolean) –

modulation system, TRUE if DVB-S2, else DVB-S

`modulation_type` (GstMpegtsModulationType) –

Modulation scheme used

`symbol_rate` (guint32) –

Symbol rate (in symbols per second)

`fec_inner` (GstMpegtsDVBCodeRate) –

inner FEC scheme used

## GstMpegts.SatelliteDeliverySystemDescriptor

Satellite Delivery System Descriptor (EN 300 468 v.1.13.1)

### Members

`frequency` (Number) –

the frequency in kHz (kiloHertz)

`orbital_position` (Number) –

the orbital position in degrees

`west_east` (Number) –

If TRUE, the satellite is in the eastern part of the orbit, else in the western part.

`polarization` (GstMpegts.SatellitePolarizationType) –

The polarization of the transmitted signal

`roll_off` (GstMpegts.SatelliteRolloff) –

Roll-off factor used in DVB-S2

`modulation_system` (Number) –

modulation system, TRUE if DVB-S2, else DVB-S

`modulation_type` (GstMpegts.ModulationType) –

Modulation scheme used

`symbol_rate` (Number) –

Symbol rate (in symbols per second)

`fec_inner` (GstMpegts.DVBCodeRate) –

inner FEC scheme used

## GstMpegts.SatelliteDeliverySystemDescriptor

Satellite Delivery System Descriptor (EN 300 468 v.1.13.1)

### Members

`frequency` (int) –

the frequency in kHz (kiloHertz)

`orbital_position` (float) –

the orbital position in degrees

`west_east` (bool) –

If TRUE, the satellite is in the eastern part of the orbit, else in the western part.

`polarization` (GstMpegts.SatellitePolarizationType) –

The polarization of the transmitted signal

`roll_off` (GstMpegts.SatelliteRolloff) –

Roll-off factor used in DVB-S2

`modulation_system` (bool) –

modulation system, TRUE if DVB-S2, else DVB-S

`modulation_type` (GstMpegts.ModulationType) –

Modulation scheme used

`symbol_rate` (int) –

Symbol rate (in symbols per second)

`fec_inner` (GstMpegts.DVBCodeRate) –

inner FEC scheme used

## GstMpegtsT2DeliverySystemCell

### Members

`cell_id` (guint16) –

id of the cell

`centre_frequencies` (GArray *) –

centre frequencies in Hz

`sub_cells` (GPtrArray *) –

(element-type GstMpegtsT2DeliverySystemCellExtension):

## GstMpegts.T2DeliverySystemCell

### Members

`cell_id` (Number) –

id of the cell

`centre_frequencies` ([ Number ]) –

centre frequencies in Hz

`sub_cells` ([ GstMpegts.T2DeliverySystemCellExtension ]) –

(element-type GstMpegtsT2DeliverySystemCellExtension):

## GstMpegts.T2DeliverySystemCell

### Members

`cell_id` (int) –

id of the cell

`centre_frequencies` ([ int ]) –

centre frequencies in Hz

`sub_cells` ([ GstMpegts.T2DeliverySystemCellExtension ]) –

(element-type GstMpegtsT2DeliverySystemCellExtension):

## GstMpegtsT2DeliverySystemCellExtension

### Members

`cell_id_extension` (guint8) –

id of the sub cell

`transposer_frequency` (guint32) –

centre frequency of the sub cell in Hz

## GstMpegts.T2DeliverySystemCellExtension

### Members

`cell_id_extension` (Number) –

id of the sub cell

`transposer_frequency` (Number) –

centre frequency of the sub cell in Hz

## GstMpegts.T2DeliverySystemCellExtension

### Members

`cell_id_extension` (int) –

id of the sub cell

`transposer_frequency` (int) –

centre frequency of the sub cell in Hz

## GstMpegtsT2DeliverySystemDescriptor

describe DVB-T2 transmissions according to EN 302 755

### Members

`plp_id` (guint8) –
No description available
`t2_system_id` (guint16) –
No description available
`siso_miso` (guint8) –
No description available
`bandwidth` (guint32) –
No description available
`guard_interval` (GstMpegtsTerrestrialGuardInterval) –
No description available
`transmission_mode` (GstMpegtsTerrestrialTransmissionMode) –
No description available
`other_frequency` (gboolean) –
No description available
`tfs` (gboolean) –
No description available
`cells` (GPtrArray *) –

(element-type GstMpegtsT2DeliverySystemCell):

## GstMpegts.T2DeliverySystemDescriptor

describe DVB-T2 transmissions according to EN 302 755

### Members

`plp_id` (Number) –
No description available
`t2_system_id` (Number) –
No description available
`siso_miso` (Number) –
No description available
`bandwidth` (Number) –
No description available
`guard_interval` (GstMpegts.TerrestrialGuardInterval) –
No description available
`transmission_mode` (GstMpegts.TerrestrialTransmissionMode) –
No description available
`other_frequency` (Number) –
No description available
`tfs` (Number) –
No description available
`cells` ([ GstMpegts.T2DeliverySystemCell ]) –

(element-type GstMpegtsT2DeliverySystemCell):

## GstMpegts.T2DeliverySystemDescriptor

describe DVB-T2 transmissions according to EN 302 755

### Members

`plp_id` (int) –
No description available
`t2_system_id` (int) –
No description available
`siso_miso` (int) –
No description available
`bandwidth` (int) –
No description available
`guard_interval` (GstMpegts.TerrestrialGuardInterval) –
No description available
`transmission_mode` (GstMpegts.TerrestrialTransmissionMode) –
No description available
`other_frequency` (bool) –
No description available
`tfs` (bool) –
No description available
`cells` ([ GstMpegts.T2DeliverySystemCell ]) –

(element-type GstMpegtsT2DeliverySystemCell):

### Methods

#### gst_mpegts_t2_delivery_system_descriptor_free

    gst_mpegts_t2_delivery_system_descriptor_free (GstMpegtsT2DeliverySystemDescriptor * source)

Parameters:

`source` –
No description available

#### GstMpegts.T2DeliverySystemDescriptor.prototype.free

    function GstMpegts.T2DeliverySystemDescriptor.prototype.free(): {
        // javascript wrapper for 'gst_mpegts_t2_delivery_system_descriptor_free'
    }

Parameters:

`source` (GstMpegts.T2DeliverySystemDescriptor) –
No description available

#### GstMpegts.T2DeliverySystemDescriptor.free

    def GstMpegts.T2DeliverySystemDescriptor.free (self):
        #python wrapper for 'gst_mpegts_t2_delivery_system_descriptor_free'

Parameters:

`source` (GstMpegts.T2DeliverySystemDescriptor) –
No description available

## GstMpegtsTerrestrialDeliverySystemDescriptor

Terrestrial Delivery System Descriptor (EN 300 468 v.1.13.1)

### Members

`frequency` (guint32) –

the frequency in Hz (Hertz)

`bandwidth` (guint32) –

the bandwidth in Hz (Hertz)

`priority` (gboolean) –

TRUE High Priority FALSE Low Priority

`time_slicing` (gboolean) –

TRUE no time slicing FALSE time slicing

`mpe_fec` (gboolean) –

TRUE no mpe-fec is used FALSE mpe-fec is use

`constellation` (GstMpegtsModulationType) –

the constellation

`hierarchy` (GstMpegtsTerrestrialHierarchy) –

the hierarchy

`code_rate_hp` (GstMpegtsDVBCodeRate) –
No description available
`code_rate_lp` (GstMpegtsDVBCodeRate) –
No description available
`guard_interval` (GstMpegtsTerrestrialGuardInterval) –
No description available
`transmission_mode` (GstMpegtsTerrestrialTransmissionMode) –
No description available
`other_frequency` (gboolean) –

TRUE more frequency are use, else not

## GstMpegts.TerrestrialDeliverySystemDescriptor

Terrestrial Delivery System Descriptor (EN 300 468 v.1.13.1)

### Members

`frequency` (Number) –

the frequency in Hz (Hertz)

`bandwidth` (Number) –

the bandwidth in Hz (Hertz)

`priority` (Number) –

TRUE High Priority FALSE Low Priority

`time_slicing` (Number) –

TRUE no time slicing FALSE time slicing

`mpe_fec` (Number) –

TRUE no mpe-fec is used FALSE mpe-fec is use

`constellation` (GstMpegts.ModulationType) –

the constellation

`hierarchy` (GstMpegts.TerrestrialHierarchy) –

the hierarchy

`code_rate_hp` (GstMpegts.DVBCodeRate) –
No description available
`code_rate_lp` (GstMpegts.DVBCodeRate) –
No description available
`guard_interval` (GstMpegts.TerrestrialGuardInterval) –
No description available
`transmission_mode` (GstMpegts.TerrestrialTransmissionMode) –
No description available
`other_frequency` (Number) –

TRUE more frequency are use, else not

## GstMpegts.TerrestrialDeliverySystemDescriptor

Terrestrial Delivery System Descriptor (EN 300 468 v.1.13.1)

### Members

`frequency` (int) –

the frequency in Hz (Hertz)

`bandwidth` (int) –

the bandwidth in Hz (Hertz)

`priority` (bool) –

TRUE High Priority FALSE Low Priority

`time_slicing` (bool) –

TRUE no time slicing FALSE time slicing

`mpe_fec` (bool) –

TRUE no mpe-fec is used FALSE mpe-fec is use

`constellation` (GstMpegts.ModulationType) –

the constellation

`hierarchy` (GstMpegts.TerrestrialHierarchy) –

the hierarchy

`code_rate_hp` (GstMpegts.DVBCodeRate) –
No description available
`code_rate_lp` (GstMpegts.DVBCodeRate) –
No description available
`guard_interval` (GstMpegts.TerrestrialGuardInterval) –
No description available
`transmission_mode` (GstMpegts.TerrestrialTransmissionMode) –
No description available
`other_frequency` (bool) –

TRUE more frequency are use, else not

## Functions

### gst_mpegts_dvb_component_descriptor_free

    gst_mpegts_dvb_component_descriptor_free (GstMpegtsComponentDescriptor * source)

Parameters:

`source` –
No description available

### GstMpegts.prototype.dvb_component_descriptor_free

    function GstMpegts.prototype.dvb_component_descriptor_free(source: GstMpegts.ComponentDescriptor): {
        // javascript wrapper for 'gst_mpegts_dvb_component_descriptor_free'
    }

Parameters:

`source` (GstMpegts.ComponentDescriptor) –
No description available

### GstMpegts.dvb_component_descriptor_free

    def GstMpegts.dvb_component_descriptor_free (source):
        #python wrapper for 'gst_mpegts_dvb_component_descriptor_free'

Parameters:

`source` (GstMpegts.ComponentDescriptor) –
No description available

## Enumerations

### GstMpegtsCableOuterFECScheme

##### Members

`GST_MPEGTS_CABLE_OUTER_FEC_UNDEFINED` (0) –
No description available
`GST_MPEGTS_CABLE_OUTER_FEC_NONE` (1) –
No description available
`GST_MPEGTS_CABLE_OUTER_FEC_RS_204_188` (2) –
No description available

### GstMpegts.CableOuterFECScheme

##### Members

`GstMpegts.CableOuterFECScheme.UNDEFINED` (0) –
No description available
`GstMpegts.CableOuterFECScheme.NONE` (1) –
No description available
`GstMpegts.CableOuterFECScheme.RS_204_188` (2) –
No description available

### GstMpegts.CableOuterFECScheme

##### Members

`GstMpegts.CableOuterFECScheme.UNDEFINED` (0) –
No description available
`GstMpegts.CableOuterFECScheme.NONE` (1) –
No description available
`GstMpegts.CableOuterFECScheme.RS_204_188` (2) –
No description available

### GstMpegtsComponentStreamContent

##### Members

`GST_MPEGTS_STREAM_CONTENT_MPEG2_VIDEO` (1) –
No description available
`GST_MPEGTS_STREAM_CONTENT_MPEG1_LAYER2_AUDIO` (2) –
No description available
`GST_MPEGTS_STREAM_CONTENT_TELETEXT_OR_SUBTITLE` (3) –
No description available
`GST_MPEGTS_STREAM_CONTENT_AC_3` (4) –
No description available
`GST_MPEGTS_STREAM_CONTENT_AVC` (5) –
No description available
`GST_MPEGTS_STREAM_CONTENT_AAC` (6) –
No description available
`GST_MPEGTS_STREAM_CONTENT_DTS` (7) –
No description available
`GST_MPEGTS_STREAM_CONTENT_SRM_CPCM` (8) –
No description available

### GstMpegts.ComponentStreamContent

##### Members

`GstMpegts.ComponentStreamContent.MPEG2_VIDEO` (1) –
No description available
`GstMpegts.ComponentStreamContent.MPEG1_LAYER2_AUDIO` (2) –
No description available
`GstMpegts.ComponentStreamContent.TELETEXT_OR_SUBTITLE` (3) –
No description available
`GstMpegts.ComponentStreamContent.AC_3` (4) –
No description available
`GstMpegts.ComponentStreamContent.AVC` (5) –
No description available
`GstMpegts.ComponentStreamContent.AAC` (6) –
No description available
`GstMpegts.ComponentStreamContent.DTS` (7) –
No description available
`GstMpegts.ComponentStreamContent.SRM_CPCM` (8) –
No description available

### GstMpegts.ComponentStreamContent

##### Members

`GstMpegts.ComponentStreamContent.MPEG2_VIDEO` (1) –
No description available
`GstMpegts.ComponentStreamContent.MPEG1_LAYER2_AUDIO` (2) –
No description available
`GstMpegts.ComponentStreamContent.TELETEXT_OR_SUBTITLE` (3) –
No description available
`GstMpegts.ComponentStreamContent.AC_3` (4) –
No description available
`GstMpegts.ComponentStreamContent.AVC` (5) –
No description available
`GstMpegts.ComponentStreamContent.AAC` (6) –
No description available
`GstMpegts.ComponentStreamContent.DTS` (7) –
No description available
`GstMpegts.ComponentStreamContent.SRM_CPCM` (8) –
No description available

### GstMpegtsContentNibbleHi

##### Members

`GST_MPEGTS_CONTENT_MOVIE_DRAMA` (1) –
No description available
`GST_MPEGTS_CONTENT_NEWS_CURRENT_AFFAIRS` (2) –
No description available
`GST_MPEGTS_CONTENT_SHOW_GAME_SHOW` (3) –
No description available
`GST_MPEGTS_CONTENT_SPORTS` (4) –
No description available
`GST_MPEGTS_CONTENT_CHILDREN_YOUTH_PROGRAM` (5) –
No description available
`GST_MPEGTS_CONTENT_MUSIC_BALLET_DANCE` (6) –
No description available
`GST_MPEGTS_CONTENT_ARTS_CULTURE` (7) –
No description available
`GST_MPEGTS_CONTENT_SOCIAL_POLITICAL_ECONOMICS` (8) –
No description available
`GST_MPEGTS_CONTENT_EDUCATION_SCIENCE_FACTUAL` (9) –
No description available
`GST_MPEGTS_CONTENT_LEISURE_HOBBIES` (10) –
No description available
`GST_MPEGTS_CONTENT_SPECIAL_CHARACTERISTICS` (11) –
No description available

### GstMpegts.ContentNibbleHi

##### Members

`GstMpegts.ContentNibbleHi.MOVIE_DRAMA` (1) –
No description available
`GstMpegts.ContentNibbleHi.NEWS_CURRENT_AFFAIRS` (2) –
No description available
`GstMpegts.ContentNibbleHi.SHOW_GAME_SHOW` (3) –
No description available
`GstMpegts.ContentNibbleHi.SPORTS` (4) –
No description available
`GstMpegts.ContentNibbleHi.CHILDREN_YOUTH_PROGRAM` (5) –
No description available
`GstMpegts.ContentNibbleHi.MUSIC_BALLET_DANCE` (6) –
No description available
`GstMpegts.ContentNibbleHi.ARTS_CULTURE` (7) –
No description available
`GstMpegts.ContentNibbleHi.SOCIAL_POLITICAL_ECONOMICS` (8) –
No description available
`GstMpegts.ContentNibbleHi.EDUCATION_SCIENCE_FACTUAL` (9) –
No description available
`GstMpegts.ContentNibbleHi.LEISURE_HOBBIES` (10) –
No description available
`GstMpegts.ContentNibbleHi.SPECIAL_CHARACTERISTICS` (11) –
No description available

### GstMpegts.ContentNibbleHi

##### Members

`GstMpegts.ContentNibbleHi.MOVIE_DRAMA` (1) –
No description available
`GstMpegts.ContentNibbleHi.NEWS_CURRENT_AFFAIRS` (2) –
No description available
`GstMpegts.ContentNibbleHi.SHOW_GAME_SHOW` (3) –
No description available
`GstMpegts.ContentNibbleHi.SPORTS` (4) –
No description available
`GstMpegts.ContentNibbleHi.CHILDREN_YOUTH_PROGRAM` (5) –
No description available
`GstMpegts.ContentNibbleHi.MUSIC_BALLET_DANCE` (6) –
No description available
`GstMpegts.ContentNibbleHi.ARTS_CULTURE` (7) –
No description available
`GstMpegts.ContentNibbleHi.SOCIAL_POLITICAL_ECONOMICS` (8) –
No description available
`GstMpegts.ContentNibbleHi.EDUCATION_SCIENCE_FACTUAL` (9) –
No description available
`GstMpegts.ContentNibbleHi.LEISURE_HOBBIES` (10) –
No description available
`GstMpegts.ContentNibbleHi.SPECIAL_CHARACTERISTICS` (11) –
No description available

### GstMpegtsDVBCodeRate

##### Members

`GST_MPEGTS_FEC_NONE` (0) –
No description available
`GST_MPEGTS_FEC_1_2` (1) –
No description available
`GST_MPEGTS_FEC_2_3` (2) –
No description available
`GST_MPEGTS_FEC_3_4` (3) –
No description available
`GST_MPEGTS_FEC_4_5` (4) –
No description available
`GST_MPEGTS_FEC_5_6` (5) –
No description available
`GST_MPEGTS_FEC_6_7` (6) –
No description available
`GST_MPEGTS_FEC_7_8` (7) –
No description available
`GST_MPEGTS_FEC_8_9` (8) –
No description available
`GST_MPEGTS_FEC_AUTO` (9) –
No description available
`GST_MPEGTS_FEC_3_5` (10) –
No description available
`GST_MPEGTS_FEC_9_10` (11) –
No description available
`GST_MPEGTS_FEC_2_5` (12) –
No description available

### GstMpegts.DVBCodeRate

##### Members

`GstMpegts.DVBCodeRate.NONE` (0) –
No description available
`GstMpegts.DVBCodeRate.1_2` (1) –
No description available
`GstMpegts.DVBCodeRate.2_3` (2) –
No description available
`GstMpegts.DVBCodeRate.3_4` (3) –
No description available
`GstMpegts.DVBCodeRate.4_5` (4) –
No description available
`GstMpegts.DVBCodeRate.5_6` (5) –
No description available
`GstMpegts.DVBCodeRate.6_7` (6) –
No description available
`GstMpegts.DVBCodeRate.7_8` (7) –
No description available
`GstMpegts.DVBCodeRate.8_9` (8) –
No description available
`GstMpegts.DVBCodeRate.AUTO` (9) –
No description available
`GstMpegts.DVBCodeRate.3_5` (10) –
No description available
`GstMpegts.DVBCodeRate.9_10` (11) –
No description available
`GstMpegts.DVBCodeRate.2_5` (12) –
No description available

### GstMpegts.DVBCodeRate

##### Members

`GstMpegts.DVBCodeRate.NONE` (0) –
No description available
`GstMpegts.DVBCodeRate.1_2` (1) –
No description available
`GstMpegts.DVBCodeRate.2_3` (2) –
No description available
`GstMpegts.DVBCodeRate.3_4` (3) –
No description available
`GstMpegts.DVBCodeRate.4_5` (4) –
No description available
`GstMpegts.DVBCodeRate.5_6` (5) –
No description available
`GstMpegts.DVBCodeRate.6_7` (6) –
No description available
`GstMpegts.DVBCodeRate.7_8` (7) –
No description available
`GstMpegts.DVBCodeRate.8_9` (8) –
No description available
`GstMpegts.DVBCodeRate.AUTO` (9) –
No description available
`GstMpegts.DVBCodeRate.3_5` (10) –
No description available
`GstMpegts.DVBCodeRate.9_10` (11) –
No description available
`GstMpegts.DVBCodeRate.2_5` (12) –
No description available

### GstMpegtsDVBDescriptorType

The type of GstMpegtsDescriptor

These values correspond to the registered descriptor type from the various DVB specifications.

Consult the relevant specifications for more details.

##### Members

`GST_MTS_DESC_DVB_NETWORK_NAME` (64) –
No description available
`GST_MTS_DESC_DVB_SERVICE_LIST` (65) –
No description available
`GST_MTS_DESC_DVB_STUFFING` (66) –
No description available
`GST_MTS_DESC_DVB_SATELLITE_DELIVERY_SYSTEM` (67) –
No description available
`GST_MTS_DESC_DVB_CABLE_DELIVERY_SYSTEM` (68) –
No description available
`GST_MTS_DESC_DVB_VBI_DATA` (69) –
No description available
`GST_MTS_DESC_DVB_VBI_TELETEXT` (70) –
No description available
`GST_MTS_DESC_DVB_BOUQUET_NAME` (71) –
No description available
`GST_MTS_DESC_DVB_SERVICE` (72) –
No description available
`GST_MTS_DESC_DVB_COUNTRY_AVAILABILITY` (73) –
No description available
`GST_MTS_DESC_DVB_LINKAGE` (74) –
No description available
`GST_MTS_DESC_DVB_NVOD_REFERENCE` (75) –
No description available
`GST_MTS_DESC_DVB_TIME_SHIFTED_SERVICE` (76) –
No description available
`GST_MTS_DESC_DVB_SHORT_EVENT` (77) –
No description available
`GST_MTS_DESC_DVB_EXTENDED_EVENT` (78) –
No description available
`GST_MTS_DESC_DVB_TIME_SHIFTED_EVENT` (79) –
No description available
`GST_MTS_DESC_DVB_COMPONENT` (80) –
No description available
`GST_MTS_DESC_DVB_MOSAIC` (81) –
No description available
`GST_MTS_DESC_DVB_STREAM_IDENTIFIER` (82) –
No description available
`GST_MTS_DESC_DVB_CA_IDENTIFIER` (83) –
No description available
`GST_MTS_DESC_DVB_CONTENT` (84) –
No description available
`GST_MTS_DESC_DVB_PARENTAL_RATING` (85) –
No description available
`GST_MTS_DESC_DVB_TELETEXT` (86) –
No description available
`GST_MTS_DESC_DVB_TELEPHONE` (87) –
No description available
`GST_MTS_DESC_DVB_LOCAL_TIME_OFFSET` (88) –
No description available
`GST_MTS_DESC_DVB_SUBTITLING` (89) –
No description available
`GST_MTS_DESC_DVB_TERRESTRIAL_DELIVERY_SYSTEM` (90) –
No description available
`GST_MTS_DESC_DVB_MULTILINGUAL_NETWORK_NAME` (91) –
No description available
`GST_MTS_DESC_DVB_MULTILINGUAL_BOUQUET_NAME` (92) –
No description available
`GST_MTS_DESC_DVB_MULTILINGUAL_SERVICE_NAME` (93) –
No description available
`GST_MTS_DESC_DVB_MULTILINGUAL_COMPONENT` (94) –
No description available
`GST_MTS_DESC_DVB_PRIVATE_DATA_SPECIFIER` (95) –
No description available
`GST_MTS_DESC_DVB_SERVICE_MOVE` (96) –
No description available
`GST_MTS_DESC_DVB_SHORT_SMOOTHING_BUFFER` (97) –
No description available
`GST_MTS_DESC_DVB_FREQUENCY_LIST` (98) –
No description available
`GST_MTS_DESC_DVB_PARTIAL_TRANSPORT_STREAM` (99) –

Partial Transport Stream descriptor. Only present in SIT Sections.

See also: GST_MPEGTS_SECTION_SIT, GstMpegtsSIT

`GST_MTS_DESC_DVB_DATA_BROADCAST` (100) –
No description available
`GST_MTS_DESC_DVB_SCRAMBLING` (101) –
No description available
`GST_MTS_DESC_DVB_DATA_BROADCAST_ID` (102) –
No description available
`GST_MTS_DESC_DVB_TRANSPORT_STREAM` (103) –
No description available
`GST_MTS_DESC_DVB_DSNG` (104) –
No description available
`GST_MTS_DESC_DVB_PDC` (105) –
No description available
`GST_MTS_DESC_DVB_AC3` (106) –
No description available
`GST_MTS_DESC_DVB_ANCILLARY_DATA` (107) –
No description available
`GST_MTS_DESC_DVB_CELL_LIST` (108) –
No description available
`GST_MTS_DESC_DVB_CELL_FREQUENCY_LINK` (109) –
No description available
`GST_MTS_DESC_DVB_ANNOUNCEMENT_SUPPORT` (110) –
No description available
`GST_MTS_DESC_DVB_APPLICATION_SIGNALLING` (111) –
No description available
`GST_MTS_DESC_DVB_ADAPTATION_FIELD_DATA` (112) –
No description available
`GST_MTS_DESC_DVB_SERVICE_IDENTIFIER` (113) –
No description available
`GST_MTS_DESC_DVB_SERVICE_AVAILABILITY` (114) –
No description available
`GST_MTS_DESC_DVB_DEFAULT_AUTHORITY` (115) –
No description available
`GST_MTS_DESC_DVB_RELATED_CONTENT` (116) –
No description available
`GST_MTS_DESC_DVB_TVA_ID` (117) –
No description available
`GST_MTS_DESC_DVB_CONTENT_IDENTIFIER` (118) –
No description available
`GST_MTS_DESC_DVB_TIMESLICE_FEC_IDENTIFIER` (119) –
No description available
`GST_MTS_DESC_DVB_ECM_REPETITION_RATE` (120) –
No description available
`GST_MTS_DESC_DVB_S2_SATELLITE_DELIVERY_SYSTEM` (121) –
No description available
`GST_MTS_DESC_DVB_ENHANCED_AC3` (122) –
No description available
`GST_MTS_DESC_DVB_DTS` (123) –
No description available
`GST_MTS_DESC_DVB_AAC` (124) –
No description available
`GST_MTS_DESC_DVB_XAIT_LOCATION` (125) –
No description available
`GST_MTS_DESC_DVB_FTA_CONTENT_MANAGEMENT` (126) –
No description available
`GST_MTS_DESC_DVB_EXTENSION` (127) –
No description available

### GstMpegts.DVBDescriptorType

The type of GstMpegts.Descriptor

These values correspond to the registered descriptor type from the various DVB specifications.

Consult the relevant specifications for more details.

##### Members

`GstMpegts.DVBDescriptorType.NETWORK_NAME` (64) –
No description available
`GstMpegts.DVBDescriptorType.SERVICE_LIST` (65) –
No description available
`GstMpegts.DVBDescriptorType.STUFFING` (66) –
No description available
`GstMpegts.DVBDescriptorType.SATELLITE_DELIVERY_SYSTEM` (67) –
No description available
`GstMpegts.DVBDescriptorType.CABLE_DELIVERY_SYSTEM` (68) –
No description available
`GstMpegts.DVBDescriptorType.VBI_DATA` (69) –
No description available
`GstMpegts.DVBDescriptorType.VBI_TELETEXT` (70) –
No description available
`GstMpegts.DVBDescriptorType.BOUQUET_NAME` (71) –
No description available
`GstMpegts.DVBDescriptorType.SERVICE` (72) –
No description available
`GstMpegts.DVBDescriptorType.COUNTRY_AVAILABILITY` (73) –
No description available
`GstMpegts.DVBDescriptorType.LINKAGE` (74) –
No description available
`GstMpegts.DVBDescriptorType.NVOD_REFERENCE` (75) –
No description available
`GstMpegts.DVBDescriptorType.TIME_SHIFTED_SERVICE` (76) –
No description available
`GstMpegts.DVBDescriptorType.SHORT_EVENT` (77) –
No description available
`GstMpegts.DVBDescriptorType.EXTENDED_EVENT` (78) –
No description available
`GstMpegts.DVBDescriptorType.TIME_SHIFTED_EVENT` (79) –
No description available
`GstMpegts.DVBDescriptorType.COMPONENT` (80) –
No description available
`GstMpegts.DVBDescriptorType.MOSAIC` (81) –
No description available
`GstMpegts.DVBDescriptorType.STREAM_IDENTIFIER` (82) –
No description available
`GstMpegts.DVBDescriptorType.CA_IDENTIFIER` (83) –
No description available
`GstMpegts.DVBDescriptorType.CONTENT` (84) –
No description available
`GstMpegts.DVBDescriptorType.PARENTAL_RATING` (85) –
No description available
`GstMpegts.DVBDescriptorType.TELETEXT` (86) –
No description available
`GstMpegts.DVBDescriptorType.TELEPHONE` (87) –
No description available
`GstMpegts.DVBDescriptorType.LOCAL_TIME_OFFSET` (88) –
No description available
`GstMpegts.DVBDescriptorType.SUBTITLING` (89) –
No description available
`GstMpegts.DVBDescriptorType.TERRESTRIAL_DELIVERY_SYSTEM` (90) –
No description available
`GstMpegts.DVBDescriptorType.MULTILINGUAL_NETWORK_NAME` (91) –
No description available
`GstMpegts.DVBDescriptorType.MULTILINGUAL_BOUQUET_NAME` (92) –
No description available
`GstMpegts.DVBDescriptorType.MULTILINGUAL_SERVICE_NAME` (93) –
No description available
`GstMpegts.DVBDescriptorType.MULTILINGUAL_COMPONENT` (94) –
No description available
`GstMpegts.DVBDescriptorType.PRIVATE_DATA_SPECIFIER` (95) –
No description available
`GstMpegts.DVBDescriptorType.SERVICE_MOVE` (96) –
No description available
`GstMpegts.DVBDescriptorType.SHORT_SMOOTHING_BUFFER` (97) –
No description available
`GstMpegts.DVBDescriptorType.FREQUENCY_LIST` (98) –
No description available
`GstMpegts.DVBDescriptorType.PARTIAL_TRANSPORT_STREAM` (99) –

Partial Transport Stream descriptor. Only present in SIT Sections.

See also: GstMpegts.SectionType.SIT, GstMpegts.SIT

`GstMpegts.DVBDescriptorType.DATA_BROADCAST` (100) –
No description available
`GstMpegts.DVBDescriptorType.SCRAMBLING` (101) –
No description available
`GstMpegts.DVBDescriptorType.DATA_BROADCAST_ID` (102) –
No description available
`GstMpegts.DVBDescriptorType.TRANSPORT_STREAM` (103) –
No description available
`GstMpegts.DVBDescriptorType.DSNG` (104) –
No description available
`GstMpegts.DVBDescriptorType.PDC` (105) –
No description available
`GstMpegts.DVBDescriptorType.AC3` (106) –
No description available
`GstMpegts.DVBDescriptorType.ANCILLARY_DATA` (107) –
No description available
`GstMpegts.DVBDescriptorType.CELL_LIST` (108) –
No description available
`GstMpegts.DVBDescriptorType.CELL_FREQUENCY_LINK` (109) –
No description available
`GstMpegts.DVBDescriptorType.ANNOUNCEMENT_SUPPORT` (110) –
No description available
`GstMpegts.DVBDescriptorType.APPLICATION_SIGNALLING` (111) –
No description available
`GstMpegts.DVBDescriptorType.ADAPTATION_FIELD_DATA` (112) –
No description available
`GstMpegts.DVBDescriptorType.SERVICE_IDENTIFIER` (113) –
No description available
`GstMpegts.DVBDescriptorType.SERVICE_AVAILABILITY` (114) –
No description available
`GstMpegts.DVBDescriptorType.DEFAULT_AUTHORITY` (115) –
No description available
`GstMpegts.DVBDescriptorType.RELATED_CONTENT` (116) –
No description available
`GstMpegts.DVBDescriptorType.TVA_ID` (117) –
No description available
`GstMpegts.DVBDescriptorType.CONTENT_IDENTIFIER` (118) –
No description available
`GstMpegts.DVBDescriptorType.TIMESLICE_FEC_IDENTIFIER` (119) –
No description available
`GstMpegts.DVBDescriptorType.ECM_REPETITION_RATE` (120) –
No description available
`GstMpegts.DVBDescriptorType.S2_SATELLITE_DELIVERY_SYSTEM` (121) –
No description available
`GstMpegts.DVBDescriptorType.ENHANCED_AC3` (122) –
No description available
`GstMpegts.DVBDescriptorType.DTS` (123) –
No description available
`GstMpegts.DVBDescriptorType.AAC` (124) –
No description available
`GstMpegts.DVBDescriptorType.XAIT_LOCATION` (125) –
No description available
`GstMpegts.DVBDescriptorType.FTA_CONTENT_MANAGEMENT` (126) –
No description available
`GstMpegts.DVBDescriptorType.EXTENSION` (127) –
No description available

### GstMpegts.DVBDescriptorType

The type of GstMpegts.Descriptor

These values correspond to the registered descriptor type from the various DVB specifications.

Consult the relevant specifications for more details.

##### Members

`GstMpegts.DVBDescriptorType.NETWORK_NAME` (64) –
No description available
`GstMpegts.DVBDescriptorType.SERVICE_LIST` (65) –
No description available
`GstMpegts.DVBDescriptorType.STUFFING` (66) –
No description available
`GstMpegts.DVBDescriptorType.SATELLITE_DELIVERY_SYSTEM` (67) –
No description available
`GstMpegts.DVBDescriptorType.CABLE_DELIVERY_SYSTEM` (68) –
No description available
`GstMpegts.DVBDescriptorType.VBI_DATA` (69) –
No description available
`GstMpegts.DVBDescriptorType.VBI_TELETEXT` (70) –
No description available
`GstMpegts.DVBDescriptorType.BOUQUET_NAME` (71) –
No description available
`GstMpegts.DVBDescriptorType.SERVICE` (72) –
No description available
`GstMpegts.DVBDescriptorType.COUNTRY_AVAILABILITY` (73) –
No description available
`GstMpegts.DVBDescriptorType.LINKAGE` (74) –
No description available
`GstMpegts.DVBDescriptorType.NVOD_REFERENCE` (75) –
No description available
`GstMpegts.DVBDescriptorType.TIME_SHIFTED_SERVICE` (76) –
No description available
`GstMpegts.DVBDescriptorType.SHORT_EVENT` (77) –
No description available
`GstMpegts.DVBDescriptorType.EXTENDED_EVENT` (78) –
No description available
`GstMpegts.DVBDescriptorType.TIME_SHIFTED_EVENT` (79) –
No description available
`GstMpegts.DVBDescriptorType.COMPONENT` (80) –
No description available
`GstMpegts.DVBDescriptorType.MOSAIC` (81) –
No description available
`GstMpegts.DVBDescriptorType.STREAM_IDENTIFIER` (82) –
No description available
`GstMpegts.DVBDescriptorType.CA_IDENTIFIER` (83) –
No description available
`GstMpegts.DVBDescriptorType.CONTENT` (84) –
No description available
`GstMpegts.DVBDescriptorType.PARENTAL_RATING` (85) –
No description available
`GstMpegts.DVBDescriptorType.TELETEXT` (86) –
No description available
`GstMpegts.DVBDescriptorType.TELEPHONE` (87) –
No description available
`GstMpegts.DVBDescriptorType.LOCAL_TIME_OFFSET` (88) –
No description available
`GstMpegts.DVBDescriptorType.SUBTITLING` (89) –
No description available
`GstMpegts.DVBDescriptorType.TERRESTRIAL_DELIVERY_SYSTEM` (90) –
No description available
`GstMpegts.DVBDescriptorType.MULTILINGUAL_NETWORK_NAME` (91) –
No description available
`GstMpegts.DVBDescriptorType.MULTILINGUAL_BOUQUET_NAME` (92) –
No description available
`GstMpegts.DVBDescriptorType.MULTILINGUAL_SERVICE_NAME` (93) –
No description available
`GstMpegts.DVBDescriptorType.MULTILINGUAL_COMPONENT` (94) –
No description available
`GstMpegts.DVBDescriptorType.PRIVATE_DATA_SPECIFIER` (95) –
No description available
`GstMpegts.DVBDescriptorType.SERVICE_MOVE` (96) –
No description available
`GstMpegts.DVBDescriptorType.SHORT_SMOOTHING_BUFFER` (97) –
No description available
`GstMpegts.DVBDescriptorType.FREQUENCY_LIST` (98) –
No description available
`GstMpegts.DVBDescriptorType.PARTIAL_TRANSPORT_STREAM` (99) –

Partial Transport Stream descriptor. Only present in SIT Sections.

See also: GstMpegts.SectionType.SIT, GstMpegts.SIT

`GstMpegts.DVBDescriptorType.DATA_BROADCAST` (100) –
No description available
`GstMpegts.DVBDescriptorType.SCRAMBLING` (101) –
No description available
`GstMpegts.DVBDescriptorType.DATA_BROADCAST_ID` (102) –
No description available
`GstMpegts.DVBDescriptorType.TRANSPORT_STREAM` (103) –
No description available
`GstMpegts.DVBDescriptorType.DSNG` (104) –
No description available
`GstMpegts.DVBDescriptorType.PDC` (105) –
No description available
`GstMpegts.DVBDescriptorType.AC3` (106) –
No description available
`GstMpegts.DVBDescriptorType.ANCILLARY_DATA` (107) –
No description available
`GstMpegts.DVBDescriptorType.CELL_LIST` (108) –
No description available
`GstMpegts.DVBDescriptorType.CELL_FREQUENCY_LINK` (109) –
No description available
`GstMpegts.DVBDescriptorType.ANNOUNCEMENT_SUPPORT` (110) –
No description available
`GstMpegts.DVBDescriptorType.APPLICATION_SIGNALLING` (111) –
No description available
`GstMpegts.DVBDescriptorType.ADAPTATION_FIELD_DATA` (112) –
No description available
`GstMpegts.DVBDescriptorType.SERVICE_IDENTIFIER` (113) –
No description available
`GstMpegts.DVBDescriptorType.SERVICE_AVAILABILITY` (114) –
No description available
`GstMpegts.DVBDescriptorType.DEFAULT_AUTHORITY` (115) –
No description available
`GstMpegts.DVBDescriptorType.RELATED_CONTENT` (116) –
No description available
`GstMpegts.DVBDescriptorType.TVA_ID` (117) –
No description available
`GstMpegts.DVBDescriptorType.CONTENT_IDENTIFIER` (118) –
No description available
`GstMpegts.DVBDescriptorType.TIMESLICE_FEC_IDENTIFIER` (119) –
No description available
`GstMpegts.DVBDescriptorType.ECM_REPETITION_RATE` (120) –
No description available
`GstMpegts.DVBDescriptorType.S2_SATELLITE_DELIVERY_SYSTEM` (121) –
No description available
`GstMpegts.DVBDescriptorType.ENHANCED_AC3` (122) –
No description available
`GstMpegts.DVBDescriptorType.DTS` (123) –
No description available
`GstMpegts.DVBDescriptorType.AAC` (124) –
No description available
`GstMpegts.DVBDescriptorType.XAIT_LOCATION` (125) –
No description available
`GstMpegts.DVBDescriptorType.FTA_CONTENT_MANAGEMENT` (126) –
No description available
`GstMpegts.DVBDescriptorType.EXTENSION` (127) –
No description available

### GstMpegtsDVBExtendedDescriptorType

The type of GstMpegtsDescriptor

These values correspond to the registered extended descriptor type from the various DVB specifications.

Consult the relevant specifications for more details.

##### Members

`GST_MTS_DESC_EXT_DVB_IMAGE_ICON` (0) –
No description available
`GST_MTS_DESC_EXT_DVB_CPCM_DELIVERY_SIGNALLING` (1) –
No description available
`GST_MTS_DESC_EXT_DVB_CP` (2) –
No description available
`GST_MTS_DESC_EXT_DVB_CP_IDENTIFIER` (3) –
No description available
`GST_MTS_DESC_EXT_DVB_T2_DELIVERY_SYSTEM` (4) –
No description available
`GST_MTS_DESC_EXT_DVB_SH_DELIVERY_SYSTEM` (5) –
No description available
`GST_MTS_DESC_EXT_DVB_SUPPLEMENTARY_AUDIO` (6) –
No description available
`GST_MTS_DESC_EXT_DVB_NETWORK_CHANGE_NOTIFY` (7) –
No description available
`GST_MTS_DESC_EXT_DVB_MESSAGE` (8) –
No description available
`GST_MTS_DESC_EXT_DVB_TARGET_REGION` (9) –
No description available
`GST_MTS_DESC_EXT_DVB_TARGET_REGION_NAME` (10) –
No description available
`GST_MTS_DESC_EXT_DVB_SERVICE_RELOCATED` (11) –
No description available
`GST_MTS_DESC_EXT_DVB_XAIT_PID` (12) –
No description available
`GST_MTS_DESC_EXT_DVB_C2_DELIVERY_SYSTEM` (13) –
No description available
`GST_MTS_DESC_EXT_DVB_DTS_HD_AUDIO_STREAM` (14) –
No description available
`GST_MTS_DESC_EXT_DVB_DTS_NEUTRAL` (15) –
No description available
`GST_MTS_DESC_EXT_DVB_VIDEO_DEPTH_RANGE` (16) –
No description available
`GST_MTS_DESC_EXT_DVB_T2MI` (17) –
No description available
`GST_MTS_DESC_EXT_DVB_URI_LINKAGE` (19) –
No description available
`GST_MTS_DESC_EXT_DVB_AC4` (21) –
No description available
`GST_MTS_DESC_EXT_DVB_AUDIO_PRESELECTION` (25) –

Provide all avaliable audio programme for user selection

(Since: 1.20)

### GstMpegts.DVBExtendedDescriptorType

The type of GstMpegts.Descriptor

These values correspond to the registered extended descriptor type from the various DVB specifications.

Consult the relevant specifications for more details.

##### Members

`GstMpegts.DVBExtendedDescriptorType.IMAGE_ICON` (0) –
No description available
`GstMpegts.DVBExtendedDescriptorType.CPCM_DELIVERY_SIGNALLING` (1) –
No description available
`GstMpegts.DVBExtendedDescriptorType.CP` (2) –
No description available
`GstMpegts.DVBExtendedDescriptorType.CP_IDENTIFIER` (3) –
No description available
`GstMpegts.DVBExtendedDescriptorType.T2_DELIVERY_SYSTEM` (4) –
No description available
`GstMpegts.DVBExtendedDescriptorType.SH_DELIVERY_SYSTEM` (5) –
No description available
`GstMpegts.DVBExtendedDescriptorType.SUPPLEMENTARY_AUDIO` (6) –
No description available
`GstMpegts.DVBExtendedDescriptorType.NETWORK_CHANGE_NOTIFY` (7) –
No description available
`GstMpegts.DVBExtendedDescriptorType.MESSAGE` (8) –
No description available
`GstMpegts.DVBExtendedDescriptorType.TARGET_REGION` (9) –
No description available
`GstMpegts.DVBExtendedDescriptorType.TARGET_REGION_NAME` (10) –
No description available
`GstMpegts.DVBExtendedDescriptorType.SERVICE_RELOCATED` (11) –
No description available
`GstMpegts.DVBExtendedDescriptorType.XAIT_PID` (12) –
No description available
`GstMpegts.DVBExtendedDescriptorType.C2_DELIVERY_SYSTEM` (13) –
No description available
`GstMpegts.DVBExtendedDescriptorType.DTS_HD_AUDIO_STREAM` (14) –
No description available
`GstMpegts.DVBExtendedDescriptorType.DTS_NEUTRAL` (15) –
No description available
`GstMpegts.DVBExtendedDescriptorType.VIDEO_DEPTH_RANGE` (16) –
No description available
`GstMpegts.DVBExtendedDescriptorType.T2MI` (17) –
No description available
`GstMpegts.DVBExtendedDescriptorType.URI_LINKAGE` (19) –
No description available
`GstMpegts.DVBExtendedDescriptorType.AC4` (21) –
No description available
`GstMpegts.DVBExtendedDescriptorType.AUDIO_PRESELECTION` (25) –

Provide all avaliable audio programme for user selection

(Since: 1.20)

### GstMpegts.DVBExtendedDescriptorType

The type of GstMpegts.Descriptor

These values correspond to the registered extended descriptor type from the various DVB specifications.

Consult the relevant specifications for more details.

##### Members

`GstMpegts.DVBExtendedDescriptorType.IMAGE_ICON` (0) –
No description available
`GstMpegts.DVBExtendedDescriptorType.CPCM_DELIVERY_SIGNALLING` (1) –
No description available
`GstMpegts.DVBExtendedDescriptorType.CP` (2) –
No description available
`GstMpegts.DVBExtendedDescriptorType.CP_IDENTIFIER` (3) –
No description available
`GstMpegts.DVBExtendedDescriptorType.T2_DELIVERY_SYSTEM` (4) –
No description available
`GstMpegts.DVBExtendedDescriptorType.SH_DELIVERY_SYSTEM` (5) –
No description available
`GstMpegts.DVBExtendedDescriptorType.SUPPLEMENTARY_AUDIO` (6) –
No description available
`GstMpegts.DVBExtendedDescriptorType.NETWORK_CHANGE_NOTIFY` (7) –
No description available
`GstMpegts.DVBExtendedDescriptorType.MESSAGE` (8) –
No description available
`GstMpegts.DVBExtendedDescriptorType.TARGET_REGION` (9) –
No description available
`GstMpegts.DVBExtendedDescriptorType.TARGET_REGION_NAME` (10) –
No description available
`GstMpegts.DVBExtendedDescriptorType.SERVICE_RELOCATED` (11) –
No description available
`GstMpegts.DVBExtendedDescriptorType.XAIT_PID` (12) –
No description available
`GstMpegts.DVBExtendedDescriptorType.C2_DELIVERY_SYSTEM` (13) –
No description available
`GstMpegts.DVBExtendedDescriptorType.DTS_HD_AUDIO_STREAM` (14) –
No description available
`GstMpegts.DVBExtendedDescriptorType.DTS_NEUTRAL` (15) –
No description available
`GstMpegts.DVBExtendedDescriptorType.VIDEO_DEPTH_RANGE` (16) –
No description available
`GstMpegts.DVBExtendedDescriptorType.T2MI` (17) –
No description available
`GstMpegts.DVBExtendedDescriptorType.URI_LINKAGE` (19) –
No description available
`GstMpegts.DVBExtendedDescriptorType.AC4` (21) –
No description available
`GstMpegts.DVBExtendedDescriptorType.AUDIO_PRESELECTION` (25) –

Provide all avaliable audio programme for user selection

(Since: 1.20)

### GstMpegtsDVBLinkageHandOverType

##### Members

`GST_MPEGTS_DVB_LINKAGE_HAND_OVER_RESERVED` (0) –
No description available
`GST_MPEGTS_DVB_LINKAGE_HAND_OVER_IDENTICAL` (1) –
No description available
`GST_MPEGTS_DVB_LINKAGE_HAND_OVER_LOCAL_VARIATION` (2) –
No description available
`GST_MPEGTS_DVB_LINKAGE_HAND_OVER_ASSOCIATED` (3) –
No description available

### GstMpegts.DVBLinkageHandOverType

##### Members

`GstMpegts.DVBLinkageHandOverType.RESERVED` (0) –
No description available
`GstMpegts.DVBLinkageHandOverType.IDENTICAL` (1) –
No description available
`GstMpegts.DVBLinkageHandOverType.LOCAL_VARIATION` (2) –
No description available
`GstMpegts.DVBLinkageHandOverType.ASSOCIATED` (3) –
No description available

### GstMpegts.DVBLinkageHandOverType

##### Members

`GstMpegts.DVBLinkageHandOverType.RESERVED` (0) –
No description available
`GstMpegts.DVBLinkageHandOverType.IDENTICAL` (1) –
No description available
`GstMpegts.DVBLinkageHandOverType.LOCAL_VARIATION` (2) –
No description available
`GstMpegts.DVBLinkageHandOverType.ASSOCIATED` (3) –
No description available

### GstMpegtsDVBLinkageType

Linkage Type (EN 300 468 v.1.13.1)

##### Members

`GST_MPEGTS_DVB_LINKAGE_RESERVED_00` (0) –
No description available
`GST_MPEGTS_DVB_LINKAGE_INFORMATION` (1) –
No description available
`GST_MPEGTS_DVB_LINKAGE_EPG` (2) –
No description available
`GST_MPEGTS_DVB_LINKAGE_CA_REPLACEMENT` (3) –
No description available
`GST_MPEGTS_DVB_LINKAGE_TS_CONTAINING_COMPLETE_SI` (4) –
No description available
`GST_MPEGTS_DVB_LINKAGE_SERVICE_REPLACEMENT` (5) –
No description available
`GST_MPEGTS_DVB_LINKAGE_DATA_BROADCAST` (6) –
No description available
`GST_MPEGTS_DVB_LINKAGE_RCS_MAP` (7) –
No description available
`GST_MPEGTS_DVB_LINKAGE_MOBILE_HAND_OVER` (8) –
No description available
`GST_MPEGTS_DVB_LINKAGE_SYSTEM_SOFTWARE_UPDATE` (9) –
No description available
`GST_MPEGTS_DVB_LINKAGE_TS_CONTAINING_SSU` (10) –
No description available
`GST_MPEGTS_DVB_LINKAGE_IP_MAC_NOTIFICATION` (11) –
No description available
`GST_MPEGTS_DVB_LINKAGE_TS_CONTAINING_INT` (12) –
No description available
`GST_MPEGTS_DVB_LINKAGE_EVENT` (13) –
No description available
`GST_MPEGTS_DVB_LINKAGE_EXTENDED_EVENT` (14) –
No description available

### GstMpegts.DVBLinkageType

Linkage Type (EN 300 468 v.1.13.1)

##### Members

`GstMpegts.DVBLinkageType.RESERVED_00` (0) –
No description available
`GstMpegts.DVBLinkageType.INFORMATION` (1) –
No description available
`GstMpegts.DVBLinkageType.EPG` (2) –
No description available
`GstMpegts.DVBLinkageType.CA_REPLACEMENT` (3) –
No description available
`GstMpegts.DVBLinkageType.TS_CONTAINING_COMPLETE_SI` (4) –
No description available
`GstMpegts.DVBLinkageType.SERVICE_REPLACEMENT` (5) –
No description available
`GstMpegts.DVBLinkageType.DATA_BROADCAST` (6) –
No description available
`GstMpegts.DVBLinkageType.RCS_MAP` (7) –
No description available
`GstMpegts.DVBLinkageType.MOBILE_HAND_OVER` (8) –
No description available
`GstMpegts.DVBLinkageType.SYSTEM_SOFTWARE_UPDATE` (9) –
No description available
`GstMpegts.DVBLinkageType.TS_CONTAINING_SSU` (10) –
No description available
`GstMpegts.DVBLinkageType.IP_MAC_NOTIFICATION` (11) –
No description available
`GstMpegts.DVBLinkageType.TS_CONTAINING_INT` (12) –
No description available
`GstMpegts.DVBLinkageType.EVENT` (13) –
No description available
`GstMpegts.DVBLinkageType.EXTENDED_EVENT` (14) –
No description available

### GstMpegts.DVBLinkageType

Linkage Type (EN 300 468 v.1.13.1)

##### Members

`GstMpegts.DVBLinkageType.RESERVED_00` (0) –
No description available
`GstMpegts.DVBLinkageType.INFORMATION` (1) –
No description available
`GstMpegts.DVBLinkageType.EPG` (2) –
No description available
`GstMpegts.DVBLinkageType.CA_REPLACEMENT` (3) –
No description available
`GstMpegts.DVBLinkageType.TS_CONTAINING_COMPLETE_SI` (4) –
No description available
`GstMpegts.DVBLinkageType.SERVICE_REPLACEMENT` (5) –
No description available
`GstMpegts.DVBLinkageType.DATA_BROADCAST` (6) –
No description available
`GstMpegts.DVBLinkageType.RCS_MAP` (7) –
No description available
`GstMpegts.DVBLinkageType.MOBILE_HAND_OVER` (8) –
No description available
`GstMpegts.DVBLinkageType.SYSTEM_SOFTWARE_UPDATE` (9) –
No description available
`GstMpegts.DVBLinkageType.TS_CONTAINING_SSU` (10) –
No description available
`GstMpegts.DVBLinkageType.IP_MAC_NOTIFICATION` (11) –
No description available
`GstMpegts.DVBLinkageType.TS_CONTAINING_INT` (12) –
No description available
`GstMpegts.DVBLinkageType.EVENT` (13) –
No description available
`GstMpegts.DVBLinkageType.EXTENDED_EVENT` (14) –
No description available

### GstMpegtsDVBScramblingModeType

##### Members

`GST_MPEGTS_DVB_SCRAMBLING_MODE_RESERVED` (0) –
No description available
`GST_MPEGTS_DVB_SCRAMBLING_MODE_CSA1` (1) –
No description available
`GST_MPEGTS_DVB_SCRAMBLING_MODE_CSA2` (2) –
No description available
`GST_MPEGTS_DVB_SCRAMBLING_MODE_CSA3_STANDARD` (3) –
No description available
`GST_MPEGTS_DVB_SCRAMBLING_MODE_CSA3_MINIMAL_ENHANCED` (4) –
No description available
`GST_MPEGTS_DVB_SCRAMBLING_MODE_CSA3_FULL_ENHANCED` (5) –
No description available
`GST_MPEGTS_DVB_SCRAMBLING_MODE_CISSA` (16) –
No description available
`GST_MPEGTS_DVB_SCRAMBLING_MODE_ATIS_0` (112) –
No description available
`GST_MPEGTS_DVB_SCRAMBLING_MODE_ATIS_F` (127) –
No description available

### GstMpegts.DVBScramblingModeType

##### Members

`GstMpegts.DVBScramblingModeType.RESERVED` (0) –
No description available
`GstMpegts.DVBScramblingModeType.CSA1` (1) –
No description available
`GstMpegts.DVBScramblingModeType.CSA2` (2) –
No description available
`GstMpegts.DVBScramblingModeType.CSA3_STANDARD` (3) –
No description available
`GstMpegts.DVBScramblingModeType.CSA3_MINIMAL_ENHANCED` (4) –
No description available
`GstMpegts.DVBScramblingModeType.CSA3_FULL_ENHANCED` (5) –
No description available
`GstMpegts.DVBScramblingModeType.CISSA` (16) –
No description available
`GstMpegts.DVBScramblingModeType.ATIS_0` (112) –
No description available
`GstMpegts.DVBScramblingModeType.ATIS_F` (127) –
No description available

### GstMpegts.DVBScramblingModeType

##### Members

`GstMpegts.DVBScramblingModeType.RESERVED` (0) –
No description available
`GstMpegts.DVBScramblingModeType.CSA1` (1) –
No description available
`GstMpegts.DVBScramblingModeType.CSA2` (2) –
No description available
`GstMpegts.DVBScramblingModeType.CSA3_STANDARD` (3) –
No description available
`GstMpegts.DVBScramblingModeType.CSA3_MINIMAL_ENHANCED` (4) –
No description available
`GstMpegts.DVBScramblingModeType.CSA3_FULL_ENHANCED` (5) –
No description available
`GstMpegts.DVBScramblingModeType.CISSA` (16) –
No description available
`GstMpegts.DVBScramblingModeType.ATIS_0` (112) –
No description available
`GstMpegts.DVBScramblingModeType.ATIS_F` (127) –
No description available

### GstMpegtsDVBServiceType

The type of service of a channel.

As specified in Table 87 of ETSI EN 300 468 v1.13.1

##### Members

`GST_DVB_SERVICE_RESERVED_00` (0) –
No description available
`GST_DVB_SERVICE_DIGITAL_TELEVISION` (1) –
No description available
`GST_DVB_SERVICE_DIGITAL_RADIO_SOUND` (2) –
No description available
`GST_DVB_SERVICE_TELETEXT` (3) –
No description available
`GST_DVB_SERVICE_NVOD_REFERENCE` (4) –
No description available
`GST_DVB_SERVICE_NVOD_TIME_SHIFTED` (5) –
No description available
`GST_DVB_SERVICE_MOSAIC` (6) –
No description available
`GST_DVB_SERVICE_FM_RADIO` (7) –
No description available
`GST_DVB_SERVICE_DVB_SRM` (8) –
No description available
`GST_DVB_SERVICE_RESERVED_09` (9) –
No description available
`GST_DVB_SERVICE_ADVANCED_CODEC_DIGITAL_RADIO_SOUND` (10) –
No description available
`GST_DVB_SERVICE_ADVANCED_CODEC_MOSAIC` (11) –
No description available
`GST_DVB_SERVICE_DATA_BROADCAST` (12) –
No description available
`GST_DVB_SERVICE_RESERVED_0D_COMMON_INTERFACE` (13) –
No description available
`GST_DVB_SERVICE_RCS_MAP` (14) –
No description available
`GST_DVB_SERVICE_RCS_FLS` (15) –
No description available
`GST_DVB_SERVICE_DVB_MHP` (16) –
No description available
`GST_DVB_SERVICE_MPEG2_HD_DIGITAL_TELEVISION` (17) –
No description available
`GST_DVB_SERVICE_ADVANCED_CODEC_SD_DIGITAL_TELEVISION` (22) –
No description available
`GST_DVB_SERVICE_ADVANCED_CODEC_SD_NVOD_TIME_SHIFTED` (23) –
No description available
`GST_DVB_SERVICE_ADVANCED_CODEC_SD_NVOD_REFERENCE` (24) –
No description available
`GST_DVB_SERVICE_ADVANCED_CODEC_HD_DIGITAL_TELEVISION` (25) –
No description available
`GST_DVB_SERVICE_ADVANCED_CODEC_HD_NVOD_TIME_SHIFTED` (26) –
No description available
`GST_DVB_SERVICE_ADVANCED_CODEC_HD_NVOD_REFERENCE` (27) –
No description available
`GST_DVB_SERVICE_ADVANCED_CODEC_STEREO_HD_DIGITAL_TELEVISION` (28) –
No description available
`GST_DVB_SERVICE_ADVANCED_CODEC_STEREO_HD_NVOD_TIME_SHIFTED` (29) –
No description available
`GST_DVB_SERVICE_ADVANCED_CODEC_STEREO_HD_NVOD_REFERENCE` (30) –
No description available
`GST_DVB_SERVICE_RESERVED_FF` (31) –
No description available

### GstMpegts.DVBServiceType

The type of service of a channel.

As specified in Table 87 of ETSI EN 300 468 v1.13.1

##### Members

`GstMpegts.DVBServiceType.RESERVED_00` (0) –
No description available
`GstMpegts.DVBServiceType.DIGITAL_TELEVISION` (1) –
No description available
`GstMpegts.DVBServiceType.DIGITAL_RADIO_SOUND` (2) –
No description available
`GstMpegts.DVBServiceType.TELETEXT` (3) –
No description available
`GstMpegts.DVBServiceType.NVOD_REFERENCE` (4) –
No description available
`GstMpegts.DVBServiceType.NVOD_TIME_SHIFTED` (5) –
No description available
`GstMpegts.DVBServiceType.MOSAIC` (6) –
No description available
`GstMpegts.DVBServiceType.FM_RADIO` (7) –
No description available
`GstMpegts.DVBServiceType.DVB_SRM` (8) –
No description available
`GstMpegts.DVBServiceType.RESERVED_09` (9) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_DIGITAL_RADIO_SOUND` (10) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_MOSAIC` (11) –
No description available
`GstMpegts.DVBServiceType.DATA_BROADCAST` (12) –
No description available
`GstMpegts.DVBServiceType.RESERVED_0D_COMMON_INTERFACE` (13) –
No description available
`GstMpegts.DVBServiceType.RCS_MAP` (14) –
No description available
`GstMpegts.DVBServiceType.RCS_FLS` (15) –
No description available
`GstMpegts.DVBServiceType.DVB_MHP` (16) –
No description available
`GstMpegts.DVBServiceType.MPEG2_HD_DIGITAL_TELEVISION` (17) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_SD_DIGITAL_TELEVISION` (22) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_SD_NVOD_TIME_SHIFTED` (23) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_SD_NVOD_REFERENCE` (24) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_HD_DIGITAL_TELEVISION` (25) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_HD_NVOD_TIME_SHIFTED` (26) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_HD_NVOD_REFERENCE` (27) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_STEREO_HD_DIGITAL_TELEVISION` (28) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_STEREO_HD_NVOD_TIME_SHIFTED` (29) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_STEREO_HD_NVOD_REFERENCE` (30) –
No description available
`GstMpegts.DVBServiceType.RESERVED_FF` (31) –
No description available

### GstMpegts.DVBServiceType

The type of service of a channel.

As specified in Table 87 of ETSI EN 300 468 v1.13.1

##### Members

`GstMpegts.DVBServiceType.RESERVED_00` (0) –
No description available
`GstMpegts.DVBServiceType.DIGITAL_TELEVISION` (1) –
No description available
`GstMpegts.DVBServiceType.DIGITAL_RADIO_SOUND` (2) –
No description available
`GstMpegts.DVBServiceType.TELETEXT` (3) –
No description available
`GstMpegts.DVBServiceType.NVOD_REFERENCE` (4) –
No description available
`GstMpegts.DVBServiceType.NVOD_TIME_SHIFTED` (5) –
No description available
`GstMpegts.DVBServiceType.MOSAIC` (6) –
No description available
`GstMpegts.DVBServiceType.FM_RADIO` (7) –
No description available
`GstMpegts.DVBServiceType.DVB_SRM` (8) –
No description available
`GstMpegts.DVBServiceType.RESERVED_09` (9) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_DIGITAL_RADIO_SOUND` (10) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_MOSAIC` (11) –
No description available
`GstMpegts.DVBServiceType.DATA_BROADCAST` (12) –
No description available
`GstMpegts.DVBServiceType.RESERVED_0D_COMMON_INTERFACE` (13) –
No description available
`GstMpegts.DVBServiceType.RCS_MAP` (14) –
No description available
`GstMpegts.DVBServiceType.RCS_FLS` (15) –
No description available
`GstMpegts.DVBServiceType.DVB_MHP` (16) –
No description available
`GstMpegts.DVBServiceType.MPEG2_HD_DIGITAL_TELEVISION` (17) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_SD_DIGITAL_TELEVISION` (22) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_SD_NVOD_TIME_SHIFTED` (23) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_SD_NVOD_REFERENCE` (24) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_HD_DIGITAL_TELEVISION` (25) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_HD_NVOD_TIME_SHIFTED` (26) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_HD_NVOD_REFERENCE` (27) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_STEREO_HD_DIGITAL_TELEVISION` (28) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_STEREO_HD_NVOD_TIME_SHIFTED` (29) –
No description available
`GstMpegts.DVBServiceType.ADVANCED_CODEC_STEREO_HD_NVOD_REFERENCE` (30) –
No description available
`GstMpegts.DVBServiceType.RESERVED_FF` (31) –
No description available

### GstMpegtsDVBTeletextType

The type of teletext page.

As specified in Table 100 of ETSI EN 300 468 v1.13.1

##### Members

`INITIAL_PAGE` (1) –
No description available
`SUBTITLE_PAGE` (2) –
No description available
`ADDITIONAL_INFO_PAGE` (3) –
No description available
`PROGRAMME_SCHEDULE_PAGE` (4) –
No description available
`HEARING_IMPAIRED_PAGE` (5) –
No description available

### GstMpegts.DVBTeletextType

The type of teletext page.

As specified in Table 100 of ETSI EN 300 468 v1.13.1

##### Members

`GstMpegts.DVBTeletextType.NITIAL_PAGE` (1) –
No description available
`GstMpegts.DVBTeletextType.UBTITLE_PAGE` (2) –
No description available
`GstMpegts.DVBTeletextType.DDITIONAL_INFO_PAGE` (3) –
No description available
`GstMpegts.DVBTeletextType.ROGRAMME_SCHEDULE_PAGE` (4) –
No description available
`GstMpegts.DVBTeletextType.EARING_IMPAIRED_PAGE` (5) –
No description available

### GstMpegts.DVBTeletextType

The type of teletext page.

As specified in Table 100 of ETSI EN 300 468 v1.13.1

##### Members

`GstMpegts.DVBTeletextType.NITIAL_PAGE` (1) –
No description available
`GstMpegts.DVBTeletextType.UBTITLE_PAGE` (2) –
No description available
`GstMpegts.DVBTeletextType.DDITIONAL_INFO_PAGE` (3) –
No description available
`GstMpegts.DVBTeletextType.ROGRAMME_SCHEDULE_PAGE` (4) –
No description available
`GstMpegts.DVBTeletextType.EARING_IMPAIRED_PAGE` (5) –
No description available

### GstMpegtsModulationType

##### Members

`GST_MPEGTS_MODULATION_QPSK` (0) –
No description available
`GST_MPEGTS_MODULATION_QAM_16` (1) –
No description available
`GST_MPEGTS_MODULATION_QAM_32` (2) –
No description available
`GST_MPEGTS_MODULATION_QAM_64` (3) –
No description available
`GST_MPEGTS_MODULATION_QAM_128` (4) –
No description available
`GST_MPEGTS_MODULATION_QAM_256` (5) –
No description available
`GST_MPEGTS_MODULATION_QAM_AUTO` (6) –
No description available
`GST_MPEGTS_MODULATION_VSB_8` (7) –
No description available
`GST_MPEGTS_MODULATION_VSB_16` (8) –
No description available
`GST_MPEGTS_MODULATION_PSK_8` (9) –
No description available
`GST_MPEGTS_MODULATION_APSK_16` (10) –
No description available
`GST_MPEGTS_MODULATION_APSK_32` (11) –
No description available
`GST_MPEGTS_MODULATION_DQPSK` (12) –
No description available
`GST_MPEGTS_MODULATION_QAM_4_NR_` (13) –
No description available
`GST_MPEGTS_MODULATION_NONE` (14) –
No description available

### GstMpegts.ModulationType

##### Members

`GstMpegts.ModulationType.QPSK` (0) –
No description available
`GstMpegts.ModulationType.QAM_16` (1) –
No description available
`GstMpegts.ModulationType.QAM_32` (2) –
No description available
`GstMpegts.ModulationType.QAM_64` (3) –
No description available
`GstMpegts.ModulationType.QAM_128` (4) –
No description available
`GstMpegts.ModulationType.QAM_256` (5) –
No description available
`GstMpegts.ModulationType.QAM_AUTO` (6) –
No description available
`GstMpegts.ModulationType.VSB_8` (7) –
No description available
`GstMpegts.ModulationType.VSB_16` (8) –
No description available
`GstMpegts.ModulationType.PSK_8` (9) –
No description available
`GstMpegts.ModulationType.APSK_16` (10) –
No description available
`GstMpegts.ModulationType.APSK_32` (11) –
No description available
`GstMpegts.ModulationType.DQPSK` (12) –
No description available
`GstMpegts.ModulationType.QAM_4_NR_` (13) –
No description available
`GstMpegts.ModulationType.NONE` (14) –
No description available

### GstMpegts.ModulationType

##### Members

`GstMpegts.ModulationType.QPSK` (0) –
No description available
`GstMpegts.ModulationType.QAM_16` (1) –
No description available
`GstMpegts.ModulationType.QAM_32` (2) –
No description available
`GstMpegts.ModulationType.QAM_64` (3) –
No description available
`GstMpegts.ModulationType.QAM_128` (4) –
No description available
`GstMpegts.ModulationType.QAM_256` (5) –
No description available
`GstMpegts.ModulationType.QAM_AUTO` (6) –
No description available
`GstMpegts.ModulationType.VSB_8` (7) –
No description available
`GstMpegts.ModulationType.VSB_16` (8) –
No description available
`GstMpegts.ModulationType.PSK_8` (9) –
No description available
`GstMpegts.ModulationType.APSK_16` (10) –
No description available
`GstMpegts.ModulationType.APSK_32` (11) –
No description available
`GstMpegts.ModulationType.DQPSK` (12) –
No description available
`GstMpegts.ModulationType.QAM_4_NR_` (13) –
No description available
`GstMpegts.ModulationType.NONE` (14) –
No description available

### GstMpegtsSatellitePolarizationType

##### Members

`GST_MPEGTS_POLARIZATION_LINEAR_HORIZONTAL` (0) –
No description available
`GST_MPEGTS_POLARIZATION_LINEAR_VERTICAL` (1) –
No description available
`GST_MPEGTS_POLARIZATION_CIRCULAR_LEFT` (2) –
No description available
`GST_MPEGTS_POLARIZATION_CIRCULAR_RIGHT` (3) –
No description available

### GstMpegts.SatellitePolarizationType

##### Members

`GstMpegts.SatellitePolarizationType.LINEAR_HORIZONTAL` (0) –
No description available
`GstMpegts.SatellitePolarizationType.LINEAR_VERTICAL` (1) –
No description available
`GstMpegts.SatellitePolarizationType.CIRCULAR_LEFT` (2) –
No description available
`GstMpegts.SatellitePolarizationType.CIRCULAR_RIGHT` (3) –
No description available

### GstMpegts.SatellitePolarizationType

##### Members

`GstMpegts.SatellitePolarizationType.LINEAR_HORIZONTAL` (0) –
No description available
`GstMpegts.SatellitePolarizationType.LINEAR_VERTICAL` (1) –
No description available
`GstMpegts.SatellitePolarizationType.CIRCULAR_LEFT` (2) –
No description available
`GstMpegts.SatellitePolarizationType.CIRCULAR_RIGHT` (3) –
No description available

### GstMpegtsSatelliteRolloff

##### Members

`GST_MPEGTS_ROLLOFF_35` (0) –
No description available
`GST_MPEGTS_ROLLOFF_20` (1) –
No description available
`GST_MPEGTS_ROLLOFF_25` (2) –
No description available
`GST_MPEGTS_ROLLOFF_RESERVED` (3) –
No description available
`GST_MPEGTS_ROLLOFF_AUTO` (4) –
No description available

### GstMpegts.SatelliteRolloff

##### Members

`GstMpegts.SatelliteRolloff.35` (0) –
No description available
`GstMpegts.SatelliteRolloff.20` (1) –
No description available
`GstMpegts.SatelliteRolloff.25` (2) –
No description available
`GstMpegts.SatelliteRolloff.RESERVED` (3) –
No description available
`GstMpegts.SatelliteRolloff.AUTO` (4) –
No description available

### GstMpegts.SatelliteRolloff

##### Members

`GstMpegts.SatelliteRolloff.35` (0) –
No description available
`GstMpegts.SatelliteRolloff.20` (1) –
No description available
`GstMpegts.SatelliteRolloff.25` (2) –
No description available
`GstMpegts.SatelliteRolloff.RESERVED` (3) –
No description available
`GstMpegts.SatelliteRolloff.AUTO` (4) –
No description available

### GstMpegtsTerrestrialGuardInterval

##### Members

`GST_MPEGTS_GUARD_INTERVAL_1_32` (0) –
No description available
`GST_MPEGTS_GUARD_INTERVAL_1_16` (1) –
No description available
`GST_MPEGTS_GUARD_INTERVAL_1_8` (2) –
No description available
`GST_MPEGTS_GUARD_INTERVAL_1_4` (3) –
No description available
`GST_MPEGTS_GUARD_INTERVAL_AUTO` (4) –
No description available
`GST_MPEGTS_GUARD_INTERVAL_1_128` (5) –
No description available
`GST_MPEGTS_GUARD_INTERVAL_19_128` (6) –
No description available
`GST_MPEGTS_GUARD_INTERVAL_19_256` (7) –
No description available
`GST_MPEGTS_GUARD_INTERVAL_PN420` (8) –
No description available
`GST_MPEGTS_GUARD_INTERVAL_PN595` (9) –
No description available
`GST_MPEGTS_GUARD_INTERVAL_PN945` (10) –
No description available

### GstMpegts.TerrestrialGuardInterval

##### Members

`GstMpegts.TerrestrialGuardInterval.1_32` (0) –
No description available
`GstMpegts.TerrestrialGuardInterval.1_16` (1) –
No description available
`GstMpegts.TerrestrialGuardInterval.1_8` (2) –
No description available
`GstMpegts.TerrestrialGuardInterval.1_4` (3) –
No description available
`GstMpegts.TerrestrialGuardInterval.AUTO` (4) –
No description available
`GstMpegts.TerrestrialGuardInterval.1_128` (5) –
No description available
`GstMpegts.TerrestrialGuardInterval.19_128` (6) –
No description available
`GstMpegts.TerrestrialGuardInterval.19_256` (7) –
No description available
`GstMpegts.TerrestrialGuardInterval.PN420` (8) –
No description available
`GstMpegts.TerrestrialGuardInterval.PN595` (9) –
No description available
`GstMpegts.TerrestrialGuardInterval.PN945` (10) –
No description available

### GstMpegts.TerrestrialGuardInterval

##### Members

`GstMpegts.TerrestrialGuardInterval.1_32` (0) –
No description available
`GstMpegts.TerrestrialGuardInterval.1_16` (1) –
No description available
`GstMpegts.TerrestrialGuardInterval.1_8` (2) –
No description available
`GstMpegts.TerrestrialGuardInterval.1_4` (3) –
No description available
`GstMpegts.TerrestrialGuardInterval.AUTO` (4) –
No description available
`GstMpegts.TerrestrialGuardInterval.1_128` (5) –
No description available
`GstMpegts.TerrestrialGuardInterval.19_128` (6) –
No description available
`GstMpegts.TerrestrialGuardInterval.19_256` (7) –
No description available
`GstMpegts.TerrestrialGuardInterval.PN420` (8) –
No description available
`GstMpegts.TerrestrialGuardInterval.PN595` (9) –
No description available
`GstMpegts.TerrestrialGuardInterval.PN945` (10) –
No description available

### GstMpegtsTerrestrialHierarchy

##### Members

`GST_MPEGTS_HIERARCHY_NONE` (0) –
No description available
`GST_MPEGTS_HIERARCHY_1` (1) –
No description available
`GST_MPEGTS_HIERARCHY_2` (2) –
No description available
`GST_MPEGTS_HIERARCHY_4` (3) –
No description available
`GST_MPEGTS_HIERARCHY_AUTO` (4) –
No description available

### GstMpegts.TerrestrialHierarchy

##### Members

`GstMpegts.TerrestrialHierarchy.NONE` (0) –
No description available
`GstMpegts.TerrestrialHierarchy.1` (1) –
No description available
`GstMpegts.TerrestrialHierarchy.2` (2) –
No description available
`GstMpegts.TerrestrialHierarchy.4` (3) –
No description available
`GstMpegts.TerrestrialHierarchy.AUTO` (4) –
No description available

### GstMpegts.TerrestrialHierarchy

##### Members

`GstMpegts.TerrestrialHierarchy.NONE` (0) –
No description available
`GstMpegts.TerrestrialHierarchy.1` (1) –
No description available
`GstMpegts.TerrestrialHierarchy.2` (2) –
No description available
`GstMpegts.TerrestrialHierarchy.4` (3) –
No description available
`GstMpegts.TerrestrialHierarchy.AUTO` (4) –
No description available

### GstMpegtsTerrestrialTransmissionMode

##### Members

`GST_MPEGTS_TRANSMISSION_MODE_2K` (0) –
No description available
`GST_MPEGTS_TRANSMISSION_MODE_8K` (1) –
No description available
`GST_MPEGTS_TRANSMISSION_MODE_AUTO` (2) –
No description available
`GST_MPEGTS_TRANSMISSION_MODE_4K` (3) –
No description available
`GST_MPEGTS_TRANSMISSION_MODE_1K` (4) –
No description available
`GST_MPEGTS_TRANSMISSION_MODE_16K` (5) –
No description available
`GST_MPEGTS_TRANSMISSION_MODE_32K` (6) –
No description available
`GST_MPEGTS_TRANSMISSION_MODE_C1` (7) –
No description available
`GST_MPEGTS_TRANSMISSION_MODE_C3780` (8) –
No description available

### GstMpegts.TerrestrialTransmissionMode

##### Members

`GstMpegts.TerrestrialTransmissionMode.2K` (0) –
No description available
`GstMpegts.TerrestrialTransmissionMode.8K` (1) –
No description available
`GstMpegts.TerrestrialTransmissionMode.AUTO` (2) –
No description available
`GstMpegts.TerrestrialTransmissionMode.4K` (3) –
No description available
`GstMpegts.TerrestrialTransmissionMode.1K` (4) –
No description available
`GstMpegts.TerrestrialTransmissionMode.16K` (5) –
No description available
`GstMpegts.TerrestrialTransmissionMode.32K` (6) –
No description available
`GstMpegts.TerrestrialTransmissionMode.C1` (7) –
No description available
`GstMpegts.TerrestrialTransmissionMode.C3780` (8) –
No description available

### GstMpegts.TerrestrialTransmissionMode

##### Members

`GstMpegts.TerrestrialTransmissionMode.2K` (0) –
No description available
`GstMpegts.TerrestrialTransmissionMode.8K` (1) –
No description available
`GstMpegts.TerrestrialTransmissionMode.AUTO` (2) –
No description available
`GstMpegts.TerrestrialTransmissionMode.4K` (3) –
No description available
`GstMpegts.TerrestrialTransmissionMode.1K` (4) –
No description available
`GstMpegts.TerrestrialTransmissionMode.16K` (5) –
No description available
`GstMpegts.TerrestrialTransmissionMode.32K` (6) –
No description available
`GstMpegts.TerrestrialTransmissionMode.C1` (7) –
No description available
`GstMpegts.TerrestrialTransmissionMode.C3780` (8) –
No description available

## Constants

### GST_TYPE_MPEGTS_COMPONENT_DESCRIPTOR

    #define GST_TYPE_MPEGTS_COMPONENT_DESCRIPTOR (gst_mpegts_component_descriptor_get_type ())

### GST_TYPE_MPEGTS_CONTENT

    #define GST_TYPE_MPEGTS_CONTENT (gst_mpegts_content_get_type ())

### GST_TYPE_MPEGTS_DVB_CABLE_DELIVERY_SYSTEM_DESCRIPTOR

    #define GST_TYPE_MPEGTS_DVB_CABLE_DELIVERY_SYSTEM_DESCRIPTOR ( gst_mpegts_dvb_cable_system_delivery_descriptor_get_type())

### GST_TYPE_MPEGTS_DVB_DATA_BROADCAST_DESCRIPTOR

    #define GST_TYPE_MPEGTS_DVB_DATA_BROADCAST_DESCRIPTOR (gst_mpegts_dvb_data_broadcast_descriptor_get_type ())

### GST_TYPE_MPEGTS_DVB_LINKAGE_DESCRIPTOR

    #define GST_TYPE_MPEGTS_DVB_LINKAGE_DESCRIPTOR ( gst_mpegts_dvb_linkage_descriptor_get_type())

### GST_TYPE_MPEGTS_DVB_LINKAGE_EVENT

    #define GST_TYPE_MPEGTS_DVB_LINKAGE_EVENT (gst_mpegts_dvb_linkage_event_get_type())

### GST_TYPE_MPEGTS_DVB_LINKAGE_EXTENDED_EVENT

    #define GST_TYPE_MPEGTS_DVB_LINKAGE_EXTENDED_EVENT (gst_mpegts_dvb_linkage_extended_event_get_type())

### GST_TYPE_MPEGTS_DVB_LINKAGE_MOBILE_HAND_OVER

    #define GST_TYPE_MPEGTS_DVB_LINKAGE_MOBILE_HAND_OVER (gst_mpegts_dvb_linkage_mobile_hand_over_get_type())

### GST_TYPE_MPEGTS_DVB_MULTILINGUAL_BOUQUET_NAME_ITEM

    #define GST_TYPE_MPEGTS_DVB_MULTILINGUAL_BOUQUET_NAME_ITEM (gst_mpegts_dvb_multilingual_bouquet_name_item_get_type())

### GST_TYPE_MPEGTS_DVB_MULTILINGUAL_COMPONENT_ITEM

    #define GST_TYPE_MPEGTS_DVB_MULTILINGUAL_COMPONENT_ITEM (gst_mpegts_dvb_multilingual_component_item_get_type())

### GST_TYPE_MPEGTS_DVB_MULTILINGUAL_NETWORK_NAME_ITEM

    #define GST_TYPE_MPEGTS_DVB_MULTILINGUAL_NETWORK_NAME_ITEM (gst_mpegts_dvb_multilingual_network_name_item_get_type())

### GST_TYPE_MPEGTS_DVB_MULTILINGUAL_SERVICE_NAME_ITEM

    #define GST_TYPE_MPEGTS_DVB_MULTILINGUAL_SERVICE_NAME_ITEM (gst_mpegts_dvb_multilingual_service_name_item_get_type())

### GST_TYPE_MPEGTS_DVB_PARENTAL_RATING_ITEM

    #define GST_TYPE_MPEGTS_DVB_PARENTAL_RATING_ITEM (gst_mpegts_dvb_parental_rating_item_get_type())

### GST_TYPE_MPEGTS_DVB_SERVICE_LIST_ITEM

    #define GST_TYPE_MPEGTS_DVB_SERVICE_LIST_ITEM (gst_mpegts_dvb_service_list_item_get_type ())

### GST_TYPE_MPEGTS_EXTENDED_EVENT_DESCRIPTOR

    #define GST_TYPE_MPEGTS_EXTENDED_EVENT_DESCRIPTOR (gst_mpegts_extended_event_descriptor_get_type())

### GST_TYPE_MPEGTS_EXTENDED_EVENT_ITEM

    #define GST_TYPE_MPEGTS_EXTENDED_EVENT_ITEM (gst_mpegts_extended_event_item_get_type())

### GST_TYPE_MPEGTS_SATELLITE_DELIVERY_SYSTEM_DESCRIPTOR

    #define GST_TYPE_MPEGTS_SATELLITE_DELIVERY_SYSTEM_DESCRIPTOR (gst_mpegts_satellite_delivery_system_descriptor_get_type())

### GST_TYPE_MPEGTS_T2_DELIVERY_SYSTEM_CELL

    #define GST_TYPE_MPEGTS_T2_DELIVERY_SYSTEM_CELL (gst_mpegts_t2_delivery_system_cell_get_type())

### GST_TYPE_MPEGTS_T2_DELIVERY_SYSTEM_CELL_EXTENSION

    #define GST_TYPE_MPEGTS_T2_DELIVERY_SYSTEM_CELL_EXTENSION (gst_mpegts_t2_delivery_system_cell_extension_get_type())

### GST_TYPE_MPEGTS_T2_DELIVERY_SYSTEM_DESCRIPTOR

    #define GST_TYPE_MPEGTS_T2_DELIVERY_SYSTEM_DESCRIPTOR (gst_mpegts_t2_delivery_system_descriptor_get_type ())

### GST_TYPE_MPEGTS_TERRESTRIAL_DELIVERY_SYSTEM_DESCRIPTOR

    #define GST_TYPE_MPEGTS_TERRESTRIAL_DELIVERY_SYSTEM_DESCRIPTOR (gst_mpegts_terrestrial_delivery_system_descriptor_get_type())

The results of the search are